# rpmbuild --rebuild --with testsuite --without clustering samba.src.rpm
#
# The testsuite is disabled by default. Set --with testsuite or bcond_without
# to run the Samba torture testsuite.
%bcond_with testsuite
# ctdb is enabled by default, you can disable it with: --without clustering
%bcond_without clustering

%define _disable_ld_no_undefined %{nil}
%global __brp_check_rpaths %nil

%define nssmajor 2

%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define wbclientmajor 0
%define libwbclient %mklibname wbclient %{wbclientmajor}
%define wbclientdevel %mklibname wbclient -d

%define smbclientmajor 0
%define libsmbclient %mklibname smbclient %{smbclientmajor}
%define smbclientdevel %mklibname smbclient -d

%define testmajor 0
%define libtest %mklibname %{name}-test %{testmajor}
%define testdevel %mklibname %{name}-test -d

%define dcmajor 0
%define libsdc %mklibname %{name}-dc %{dcmajor}

# filter out some bogues devel() requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}devel\\(lib.*-samba4

# filter out some bogus requires/provides
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libdir}/libnss_win.*\\.so
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_libdir}/libnss_win.*\\.so

# filter out perl requirements pulled in from examples in the docdir.
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_docdir}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}/\[^/\]*/\[^M\]
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(VMS|^perl\\(Win32|^perl\\(DB\\)|^perl\\(UNIVERSAL\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(VMS|^perl\\(Win32

%global cups_serverbin /usr/lib/cups

%define rel 1

%define talloc_version 2.3.4
%define ntdb_version 1.0
%define tdb_version 1.4.7
%define tevent_version 0.13.0
%define ldb_version 2.6.1
# This should be rc1 or %%nil
%define pre_release %nil

%if "x%{?pre_release}" != "x"
%define tardir rc
%define samba_release 0.%{pre_release}.%{rel}
%else
%define tardir stable
%define samba_release %{rel}
%endif

%global with_libsmbclient 1
%global with_libwbclient 1

%global with_internal_talloc 0
%global with_internal_tevent 0
%global with_internal_tdb 0
%global with_internal_ntdb 0
%global with_internal_ldb 0

%global with_profiling 1

%global with_vfs_cephfs 0

%global with_vfs_glusterfs 0


%global with_mitkrb5 0
%global with_dc 1

%if %{with testsuite}
# The testsuite only works with a full build right now.
%global with_mitkrb5 0
%global with_dc 1
%endif

%global with_clustering_support 0

%if %{with clustering}
%global with_clustering_support 1
%endif

Name:       samba
Version:    4.17.10
Release:    %mkrel %{samba_release}

Summary:    Server and Client software to interoperate with Windows machines
License:    GPLv3+ and LGPLv3+
Group:      System/Servers
URL:        https://www.samba.org/
Source0:    https://download.samba.org/pub/samba/%{tardir}/samba-%{version}%{pre_release}.tar.gz

# Red Hat specific replacement-files
Source1: samba.log
Source2: samba.xinetd
# For classic NT4-style domains
Source4: smb.conf.default
Source5: pam_winbind.conf
Source6: samba.pamd
Source15: usershares.conf.vendor
Source16: samba-systemd-sysusers.conf
Source17: samba-usershares-systemd-sysusers.conf

Source200: README.dc
Source201: README.downgrade

Requires(pre):    rpm-helper >= %{rpmhelper_required_version}
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Requires(postun): rpm-helper >= %{rpmhelper_required_version}


Requires(pre):	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif

Requires: pam

Provides: 	%{name}-server = %{version}-%{release}

BuildRequires: pkgconfig(avahi-core)
BuildRequires: cups-devel
BuildRequires: pkgconfig(dbus-1)
BuildRequires: docbook-style-xsl
BuildRequires: e2fsprogs-devel
BuildRequires: gawk
BuildRequires: krb5-devel >= 1.10
BuildRequires: libacl-devel
BuildRequires: libaio-devel
BuildRequires: pkgconfig(libarchive)
BuildRequires: pkgconfig(libattr)
BuildRequires: pkgconfig(libcap)
BuildRequires: pkgconfig(libtirpc)
BuildRequires: pkgconfig(uuid)
BuildRequires: pkgconfig(libxslt)
BuildRequires: lmdb-devel
BuildRequires: pkgconfig(ncurses)
BuildRequires: openldap-devel
BuildRequires: pam-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Parse::Yapp)
BuildRequires: pkgconfig(popt)
BuildRequires: pkgconfig(python3)
BuildRequires: python3-iso8601
BuildRequires: python3-tevent >= 1:%{tevent_version}
BuildRequires: python3-markdown
BuildRequires: python3-dnspython
BuildRequires: quota-devel
BuildRequires: pkgconfig(readline)
BuildRequires: rpcgen
BuildRequires: rpcsvc-proto-devel
BuildRequires: sed
BuildRequires: pkgconfig(libtasn1)
BuildRequires: libtasn1-tools
BuildRequires: xfsprogs-devel
BuildRequires: pkgconfig(zlib) >= 1.2.3
BuildRequires: xsltproc
BuildRequires: pkgconfig(gpgme)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(libbsd)
BuildRequires: pkgconfig(cmocka)
BuildRequires: pkgconfig(jansson)
%ifnarch %{arm}
BuildRequires: pkgconfig(liburing)
%endif
# spotlight support
BuildRequires: bison
BuildRequires: flex
BuildRequires: icu-devel

%if %{with_vfs_glusterfs}
BuildRequires: 	pkgconfig(glusterfs-api)
%endif
%if %{with_vfs_cephfs}
BuildRequires: libcephfs1-devel
%endif
%if %{with_dc}
BuildRequires: pkgconfig(gnutls)
%endif

%if %{with pidl}
# pidl requirements
BuildRequires: perl(Parse::Yapp)
%endif

%if ! %{with_internal_talloc}
BuildRequires: 	pkgconfig(talloc) >= %{talloc_version}
BuildRequires: 	pytalloc-util-devel >= %{talloc_version}
BuildRequires: 	python3-talloc >= 1:%{talloc_version}
%endif

%if ! %{with_internal_tevent}
BuildRequires: 	pkgconfig(tevent) >= %{tevent_version}
BuildRequires: 	python3-tevent >= 1:%{tevent_version}
%endif

%if ! %{with_internal_ldb}
BuildRequires: 	ldb-devel >= 1:%ldb_version
BuildRequires: 	pyldb-util-devel >= 1:%{ldb_version}
BuildRequires:  python3-ldb >= 1:%{ldb_version}
%endif

%if ! %{with_internal_tdb}
BuildRequires: 	pkgconfig(tdb) >= %{tdb_version}
BuildRequires:  python3-tdb >= 1:%{tdb_version}
%endif

%if %{with testsuite}
BuildRequires: 	ldb-tools
%endif

### SAMBA
%description
Samba is the standard Windows interoperability suite of programs
for Linux and Unix.

### CLIENT
%package client
Summary: 	Samba client programs
Group: 		Networking/Other
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
%if %{with_libsmbclient}
Requires: 	%{libsmbclient} = %{version}-%{release}
%endif
# virtual provides for drakxtools-backend
Provides:	smb-client = %{version}-%{release}

Requires(post):   chkconfig
Requires(postun): chkconfig

%description client
The samba4-client package provides some SMB/CIFS clients to complement
the built-in SMB/CIFS filesystem in Linux. These clients allow access
of SMB/CIFS shares and printing to SMB/CIFS printers.

### COMMON
%package common
Summary: Files used by both Samba servers and clients
Group: 		System/Servers
Requires: 	%{libname} = %{version}-%{release}
Requires:	%{libsdc} = %{version}-%{release}
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif

%description common
samba-common provides files necessary for both the server and client
packages of Samba.

### DC
%package dc
Summary: 	Samba AD Domain Controller
Group: 		System/Servers
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{libsdc} = %{version}-%{release}
Requires: 	python3-samba = %{version}-%{release}

%description dc
The samba-dc package provides AD Domain Controller functionality

### DC-LIBS
%package -n %{libsdc}
Summary: 	Samba AD Domain Controller Libraries
Group: 		System/Servers
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}kdc-samba4_2 < 4.16.1-3
Obsoletes:	%{_lib}heimntlm-samba4_1 < 4.16.1-3

%description -n %{libsdc}
The samba4-dc-libs package contains the libraries needed by the DC to
link against the SMB, RPC and other protocols.

### DEVEL
%package -n %{develname}
Summary: 	Developer tools for Samba libraries
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides:	libsamba-devel = %{version}-%{release}
Provides:	samba-devel = %{version}-%{release}

%description -n %{develname}
The samba4-devel package contains the header files for the libraries
needed to develop programs that link against the SMB, RPC and other
libraries in the Samba suite.

### CEPH
%if %{with_vfs_cephfs}
%package vfs-cephfs
Summary: Samba VFS module for Ceph distributed storage system
Group: Applications/System
Requires: libcephfs1
Requires: %{name} = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description vfs-cephfs
Samba VFS module for Ceph distributed storage system integration.
%endif

### GLUSTER
%if %{with_vfs_glusterfs}
%package vfs-glusterfs
Summary: 	Samba VFS module for GlusterFS
Group: 		System/Libraries
Requires: 	glusterfs-api >= 3.4.0.16
Requires: 	glusterfs >= 3.4.0.16
Requires: 	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}


%description vfs-glusterfs
Samba VFS module for GlusterFS integration.
%endif

### KRB5-PRINTING
%package krb5-printing
Summary: Samba CUPS backend for printing with Kerberos
Group: Networking/Remote access
Requires(pre): %{name}-client

Requires(post):   chkconfig
Requires(postun): chkconfig

%description krb5-printing
If you need Kerberos for print jobs to a printer connection to cups via the SMB
backend, then you need to install that package. It will allow cups to access
the Kerberos credentials cache of the user issuing the print job.

### LIBS
%package -n %{libname}
Summary: 	Samba libraries
Group: 		System/Libraries
Requires: 	krb5-libs >= 1.10
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif
Conflicts:      samba < 4.16.1-2

%description -n %{libname}
The samba4-libs package contains the libraries needed by programs that
link against the SMB, RPC and other protocols provided by the Samba suite.

### LIBSMBCLIENT
%if %{with_libsmbclient}
%package -n %{libsmbclient}
Summary: 	The SMB client library
Group: 		System/Libraries
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
# for gnome-vfs2
Provides:       libsmbclient = %{version}-%{release}

%description -n %{libsmbclient}
The libsmbclient contains the SMB client library from the Samba suite.

%package -n %{smbclientdevel}
Summary: 	Developer tools for the SMB client library
Group: 		Development/C
Requires: 	%{libsmbclient} = %{version}-%{release}
Provides:	libsmbclient-devel = %{version}-%{release}
Provides:	smbclient-devel = %{version}-%{release}

%description -n %{smbclientdevel}
The libsmbclient-devel package contains the header files and libraries needed to
develop programs that link against the SMB client library in the Samba suite.
%endif
# with_libsmbclient

### LIBWBCLIENT
%if %{with_libwbclient}
%package -n %{libwbclient}
Summary: 	The winbind client library
Group: 		System/Libraries
Requires: 	%{libname} = %{version}-%{release}

%description -n %{libwbclient}
The libwbclient package contains the winbind client library
from the Samba suite.

%package -n %{wbclientdevel}
Summary: 	Developer tools for the winbind library
Group: 		Development/C
Requires: 	%{libwbclient} = %{version}-%{release}
Provides:	libwbclient-devel = %{version}-%{release}
Provides:	wbclient-devel = %{version}-%{release}

%description -n %{wbclientdevel}
The libwbclient-devel package provides developer tools for
the wbclient library.
%endif
# with_libwbclient

### PYTHON
%package -n python3-samba
Summary: 	Samba Python libraries
Group: 		System/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires: 	python3-tevent
Requires: 	python3-tdb
Requires: 	python3-ldb
Requires: 	python3-talloc

%description -n python3-samba
The samba4-python package contains the Python libraries needed by programs
that use SMB, RPC and other Samba provided protocols in Python programs.

%if %{with pidl}
### PIDL
%package pidl
Summary:	Perl IDL compiler
Group:		Development/Tools
Requires:	perl(Parse::Yapp)
BuildArch:	noarch


%description pidl
The %{name}-pidl package contains the Perl IDL compiler used by Samba
and Wireshark to parse IDL and similar protocols
%endif

### TEST
%package test
Summary: 	Testing tools for Samba servers and clients
Group: 		Networking/Other
Requires: 	%{name} = %{version}-%{release}
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{name}-winbind = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}

%if %{with_dc}
Requires: 	%{libsdc} = %{version}-%{release}
%endif

%if %{with_libsmbclient}
Requires: 	%{libsmbclient} = %{version}-%{release}
%endif

%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif

%description test
%{name}-test provides testing tools for both the server and client
packages of Samba.

### TEST-LIBS
%package -n %{libtest}
Summary: 	Libraries need by the testing tools for Samba servers and clients
Group: 		Networking/Remote access
Requires: 	%{libname} = %{version}-%{release}

%description -n %{libtest}
%{name}-test-libs provides libraries required by the testing tools.

### TEST-DEVEL
%package -n %{testdevel}
Summary: 	Testing devel files for Samba servers and clients
Group: 		Development/C
Requires: 	%{libtest} = %{version}-%{release}

%description -n %{testdevel}
samba-test-devel provides testing devel files for both the server and client
packages of Samba.

### USERSHARES
%package usershares
Summary:	Provides support for non-root user shares
Group:		Networking/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description usershares
Installing this package will provide a configuration file, group and
directories to support non-root user shares. You can configure them
as a user using the `net usershare` command.

### WINBIND
%package winbind
Summary: 	Samba winbind
Group: 		System/Libraries
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{name}-winbind-modules = %{version}-%{release}
Provides:	samba4-winbind = %{version}-%{release}
Provides:	nss_wins = %{version}-%{release}

%description winbind
The samba-winbind package provides the winbind NSS library, and some
client tools.  Winbind enables Linux to be a full member in Windows
domains and to use Windows user and group accounts on Linux.

### WINBIND-CLIENTS
%package winbind-clients
Summary: 	Samba winbind clients
Group: 		System/Libraries
Requires: 	%{name}-common = %{version}-%{release}
Requires: 	%{libname} = %{version}-%{release}
Requires: 	%{name}-winbind = %{version}-%{release}
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif

Provides: samba4-winbind-clients = %{version}-%{release}

%description winbind-clients
The samba-winbind-clients package provides the wbinfo and ntlm_auth
tool.

### WINBIND-KRB5-LOCATOR
%package winbind-krb5-locator
Summary: 	Samba winbind krb5 locator
Group: 		Networking/Remote access
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
Requires: 	%{name}-winbind = %{version}-%{release}
%else
Requires: 	%{libname} = %{version}-%{release}
%endif
Provides: 	samba4-winbind-krb5-locator = %{version}-%{release}

# Handle winbind_krb5_locator.so as alternatives to allow
# IPA AD trusts case where it should not be used by libkrb5
# The plugin will be diverted to /dev/null by the FreeIPA
# freeipa-server-trust-ad subpackage due to higher priority
# and restored to the proper one on uninstall
Requires(post):   chkconfig
Requires(postun): chkconfig
Requires(preun):  chkconfig

%description winbind-krb5-locator
The winbind krb5 locator is a plugin for the system kerberos library to allow
the local kerberos library to use the same KDC as samba and winbind use

### WINBIND-MODULES
%package winbind-modules
Summary: 	Samba winbind modules
Group: 		System/Libraries
Requires: 	%{libname} = %{version}-%{release}
%if %{with_libwbclient}
Requires: 	%{libwbclient} = %{version}-%{release}
%endif
Requires: 	pam

%description winbind-modules
The samba-winbind-modules package provides the NSS library and a PAM
module necessary to communicate to the Winbind Daemon

### CTDB
%if %{with_clustering_support}
%package -n ctdb
Summary: A Clustered Database based on Samba's Trivial Database (TDB)
Group: System/Cluster

Requires: coreutils
#Requires: fileutils
# for ps and killall
Requires: psmisc
Requires: sed
Requires: tdb-utils
Requires: gawk
# for pkill and pidof:
Requires: procps-ng
# for netstat:
Requires: net-tools
Requires: ethtool
# for ip:
Requires: iproute2
Requires: iptables
# for flock, getopt, kill:
Requires: util-linux

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description -n ctdb
CTDB is a cluster implementation of the TDB database used by Samba and other
projects to store temporary data. If an application is already using TDB for
temporary data it is very easy to convert that application to be cluster aware
and use CTDB instead.

### CTDB-DEVEL
%package -n ctdb-devel
Summary: CTDB clustered database development package
Group: Development/Other

Requires: ctdb = %{version}-%{release}

%description -n ctdb-devel
Libraries, include files, etc you can use to develop CTDB applications.
CTDB is a cluster implementation of the TDB database used by Samba and other
projects to store temporary data. If an application is already using TDB for
temporary data it is very easy to convert that application to be cluster aware
and use CTDB instead.

%if %{with testsuite}
### CTDB-TEST
%package -n ctdb-tests
Summary: CTDB clustered database test suite
Group: Development/Other

Requires: ctdb = %{version}-%{release}
Requires: nmap

%description -n ctdb-tests
Test suite for CTDB.
CTDB is a cluster implementation of the TDB database used by Samba and other
projects to store temporary data. If an application is already using TDB for
temporary data it is very easy to convert that application to be cluster aware
and use CTDB instead.
#endif with selftest
%endif
# with_clustering_support
%endif

%prep
%autosetup -p1 -n samba-%{version}%{pre_release}

%build
%serverbuild

%global _talloc_lib ,talloc,pytalloc,pytalloc-util
%global _tevent_lib ,tevent,pytevent
%global _tdb_lib ,tdb,pytdb
%global _ldb_lib ,ldb,pyldb,pyldb-util

%if ! %{with_internal_talloc}
%global _talloc_lib ,!talloc,!pytalloc,!pytalloc-util
%endif

%if ! %{with_internal_tevent}
%global _tevent_lib ,!tevent,!pytevent
%endif

%if ! %{with_internal_tdb}
%global _tdb_lib ,!tdb,!pytdb
%endif

%if ! %{with_internal_ldb}
%global _ldb_lib ,!ldb,!pyldb
%endif

%global _samba_libraries heimdal,!zlib,!popt%{_talloc_lib}%{_tevent_lib}%{_tdb_lib}%{_ldb_lib}

%global _samba4_idmap_modules idmap_ad,idmap_rid,idmap_adex,idmap_hash,idmap_tdb2
%global _samba4_pdb_modules pdb_tdbsam,pdb_ldap,pdb_ads,pdb_smbpasswd,pdb_wbc_sam,pdb_samba4
%global _samba4_auth_modules auth_unix,auth_wbc,auth_server,auth_netlogond,auth_script,auth_samba4

%global _samba_modules %{_samba4_idmap_modules},%{_samba4_pdb_modules},%{_samba4_auth_modules}

%global _libsmbclient %nil
%global _libwbclient %nil

%if ! %{with_libsmbclient}
%global _libsmbclient smbclient,
%endif

%if ! %{with_libwbclient}
%global _libwbclient wbclient,
%endif

%global _samba_private_libraries %{_libsmbclient}%{_libwbclient}

# TODO: resolve underlinked python modules
export python_LDFLAGS="$(echo %{__global_ldflags} | sed -e 's/-Wl,-z,defs//g')"

%configure \
        --enable-fhs \
        --sysconfdir=%{_sysconfdir} \
        --prefix=%{_prefix} \
        --localstatedir=%{_localstatedir} \
        --with-piddir=/run \
        --with-sockets-dir=/run/samba \
        --with-modulesdir=%{_libdir}/samba \
        --with-pammodulesdir=%{_libdir}/security \
        --with-lockdir=/var/lib/samba/lock \
        --with-cachedir=/var/lib/samba \
        --disable-rpath-install \
        --with-shared-modules=%{_samba_modules} \
        --bundled-libraries=%{_samba_libraries} \
        --with-pam \
        --with-pie \
        --with-relro \
        --without-fam \
%if (! %{with_libsmbclient}) || (! %{with_libwbclient})
        --private-libraries=%{_samba_private_libraries} \
%endif
%if %{with_mitkrb5}
        --with-system-mitkrb5 \
%if %{with_dc}
        --with-experimental-mit-ad-dc \
%endif
%endif
%if ! %{with_dc}
        --without-ad-dc \
%endif
%if ! %{with_vfs_glusterfs}
        --disable-glusterfs \
%endif
%if %{with_clustering_support}
        --with-cluster-support \
%endif
%if %{with_profiling}
        --with-profiling-data \
%endif
%if %{with testsuite}
        --enable-selftest \
%endif
        --with-quotas \
        --with-systemd \
        --systemd-install-services

%make_build

%install
%make_install

install -d -m 0755 %{buildroot}/usr/{sbin,bin}
install -d -m 0755 %{buildroot}%{_libdir}/security
install -d -m 0755 %{buildroot}/var/lib/samba
install -d -m 0755 %{buildroot}/var/lib/samba/drivers
install -d -m 0755 %{buildroot}/var/lib/samba/lock
install -d -m 0755 %{buildroot}/var/lib/samba/private
install -d -m 0755 %{buildroot}/var/lib/samba/scripts
install -d -m 0755 %{buildroot}/var/lib/samba/sysvol
install -d -m 0755 %{buildroot}/var/lib/samba/usershares
install -d -m 0755 %{buildroot}/var/lib/samba/winbindd_privileged
install -d -m 0755 %{buildroot}/var/log/samba/old
install -d -m 0755 %{buildroot}/var/spool/samba
install -d -m 0755 %{buildroot}/run/samba
install -d -m 0755 %{buildroot}/run/winbindd
install -d -m 0755 %{buildroot}/%{_libdir}/samba
install -d -m 0755 %{buildroot}/%{_libdir}/samba/ldb
install -d -m 0755 %{buildroot}/%{_libdir}/pkgconfig

# Move smbspool_krb5_wrapper
#install -d -m 0755 %%{buildroot}%%{_libexecdir}/samba
#mv %%{buildroot}%%{_bindir}/smbspool_krb5_wrapper %%{buildroot}%%{_libexecdir}/samba

# Install other stuff
install -d -m 0755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/samba

install -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/samba/smb.conf

install -m 0644 %{SOURCE15} %{buildroot}%{_sysconfdir}/samba/usershares.conf

install -d -m 0755 %{buildroot}%{_sysconfdir}/security
install -m 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/security/pam_winbind.conf

install -d -m 0755 %{buildroot}%{_sysconfdir}/pam.d
install -m 0644 %{SOURCE6} %{buildroot}%{_sysconfdir}/pam.d/samba

echo 127.0.0.1 localhost > %{buildroot}%{_sysconfdir}/samba/lmhosts

# openLDAP database schema
install -d -m 0755 %{buildroot}%{_sysconfdir}/openldap/schema
install -m644 examples/LDAP/samba.schema %{buildroot}%{_sysconfdir}/openldap/schema/samba.schema

install -m 0744 packaging/printing/smbprint %{buildroot}%{_bindir}/smbprint

install -d -m 0755 %{buildroot}%{_tmpfilesdir}/
echo "d /run/samba  755 root root" >> %{buildroot}%{_tmpfilesdir}/samba.conf
%if %{with_clustering_support}
echo "d /run/ctdb 755 root root" >> %{buildroot}%{_tmpfilesdir}/ctdb.conf
%endif

install -d -m 0755 %{buildroot}%{_sysusersdir}
install -m 0644 %{SOURCE16} %{buildroot}%{_sysusersdir}/samba.conf
install -m 0644 %{SOURCE17} %{buildroot}%{_sysusersdir}/samba-usershares.conf

%if %{with_clustering_support}
#install -m 0644 ctdb/config/ctdb.sysconfig %%{buildroot}%%{_sysconfdir}/sysconfig/ctdb
%endif

install -m 0644 %{SOURCE201} packaging/README.downgrade

%if ! %{with_dc}
install -m 0644 %{SOURCE200} packaging/README.dc
install -m 0644 %{SOURCE200} packaging/README.dc-libs
%endif

# Fix systemd daemon
sed -i "s:'systemd-daemon':'systemd':g" -i lib/util/wscript_configure

# NetworkManager online/offline script
#%{__install} -d -m 0755 %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/
#%{__install} -m 0755 packaging/NetworkManager/30-winbind-systemd \
#            %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d/30-winbind

# winbind krb5 locator
install -d -m 0755 %{buildroot}%{_libdir}/krb5/plugins/libkrb5
touch %{buildroot}%{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so

mkdir -p %{buildroot}/var/lib/samba/msg

%if ! %{with_internal_talloc}
rm -f %{buildroot}%{_libdir}/samba/libpytalloc-util.cpython-*.so.*
rm -f %{buildroot}%{python3_sitearch}/talloc.cpython-*.so
%endif

%if %{with testsuite}
%check
TDB_NO_FSYNC=1 %make_build test
%endif

%pre
%_pre_useradd %{name} /dev/null /bin/false

%post
%_post_service smb
%_post_service nmb

%post dc
%_post_service samba

%preun
%_preun_service smb
%_preun_service nmb

%preun dc
%_preun_service samba

%postun
%_postun_userdel %{name}
%_postun_service smb
%_postun_service nmb

%postun dc
%_postun_service samba

%pre common
%_pre_groupadd printadmin

%post common
%_tmpfilescreate %{name}
if [ -d /var/cache/samba ]; then
    mv /var/cache/samba/netsamlogon_cache.tdb /var/lib/samba/ 2>/dev/null
    mv /var/cache/samba/winbindd_cache.tdb /var/lib/samba/ 2>/dev/null
    rm -rf /var/cache/samba/
    ln -sf /var/cache/samba /var/lib/samba/
fi

%postun common
%_postun_groupdel printadmin

### CLIENT
%post client
%{_sbindir}/update-alternatives --install %{_libexecdir}/samba/cups_backend_smb \
	cups_backend_smb \
	%{_bindir}/smbspool 10

%postun client
if [ $1 -eq 0 ] ; then
   %{_sbindir}/update-alternatives --remove cups_backend_smb %{_libexecdir}/samba/smbspool
fi

# Clean up alternatives from 3.x dropped with 4.x:
%triggerpostun client -- samba-client < 4.10.9
%{_sbindir}/update-alternatives --remove smbclient %{_bindir}/smbclient3 || :
# There seems to be no other way to do this:
rm -f /var/lib/alternatives/smbclient

### KRB5-PRINTING
%post krb5-printing
%{_sbindir}/update-alternatives --install %{_libexecdir}/samba/cups_backend_smb \
	cups_backend_smb \
	%{_libexecdir}/samba/smbspool_krb5_wrapper 50

%postun krb5-printing
if [ $1 -eq 0 ] ; then
   %{_sbindir}/update-alternatives --remove cups_backend_smb %{_libexecdir}/samba/smbspool_krb5_wrapper
fi

%pre usershares
%_pre_groupadd sambashares

%postun usershares
%_postun_groupdel sambashares

%pre winbind
%_pre_groupadd wbpriv

%postun winbind
%_postun_groupdel wbpriv


### SAMBA
%files
%doc COPYING README.md WHATSNEW.txt
%doc examples/autofs examples/LDAP examples/misc
%doc examples/printer-accounting examples/printing
%doc packaging/README.downgrade
%{_bindir}/smbstatus
%{_sbindir}/eventlogadm
%{_sbindir}/nmbd
%{_sbindir}/smbd
%dir %{_libdir}/samba/auth
%{_libdir}/samba/auth/unix.so
#{_libdir}/samba/auth/wbc.so

%dir %{_libdir}/samba/vfs
%{_libdir}/samba/vfs/acl_tdb.so
%{_libdir}/samba/vfs/acl_xattr.so
%{_libdir}/samba/vfs/aio_fork.so
#{_libdir}/samba/vfs/aio_linux.so
%{_libdir}/samba/vfs/aio_pthread.so
%{_libdir}/samba/vfs/audit.so
%{_libdir}/samba/vfs/btrfs.so
%{_libdir}/samba/vfs/cap.so
%{_libdir}/samba/vfs/catia.so
%{_libdir}/samba/vfs/commit.so
%{_libdir}/samba/vfs/crossrename.so
%{_libdir}/samba/vfs/default_quota.so
%{_libdir}/samba/vfs/dirsort.so
%{_libdir}/samba/vfs/expand_msdfs.so
%{_libdir}/samba/vfs/extd_audit.so
%{_libdir}/samba/vfs/fake_perms.so
%{_libdir}/samba/vfs/fileid.so
%{_libdir}/samba/vfs/fruit.so
%{_libdir}/samba/vfs/full_audit.so
%{_libdir}/samba/vfs/glusterfs_fuse.so
%{_libdir}/samba/vfs/gpfs.so
%ifnarch %{arm}
%{_libdir}/samba/vfs/io_uring.so
%endif
%{_libdir}/samba/vfs/linux_xfs_sgid.so
%{_libdir}/samba/vfs/media_harmony.so
%{_libdir}/samba/vfs/offline.so
%{_libdir}/samba/vfs/preopen.so
%{_libdir}/samba/vfs/readahead.so
%{_libdir}/samba/vfs/readonly.so
%{_libdir}/samba/vfs/recycle.so
%{_libdir}/samba/vfs/shadow_copy.so
%{_libdir}/samba/vfs/shadow_copy2.so
%{_libdir}/samba/vfs/snapper.so
%{_libdir}/samba/vfs/streams_depot.so
%{_libdir}/samba/vfs/streams_xattr.so
%{_libdir}/samba/vfs/syncops.so
%{_libdir}/samba/vfs/time_audit.so
%{_libdir}/samba/vfs/virusfilter.so
%{_libdir}/samba/vfs/widelinks.so
%{_libdir}/samba/vfs/worm.so
%{_libdir}/samba/vfs/xattr_tdb.so

%{_libexecdir}/samba/samba-bgqd
%{_libexecdir}/samba/samba-dcerpcd
%{_libexecdir}/samba/rpcd_classic
%{_libexecdir}/samba/rpcd_epmapper
%{_libexecdir}/samba/rpcd_fsrvp
%{_libexecdir}/samba/rpcd_lsad
%{_libexecdir}/samba/rpcd_mdssvc
%{_libexecdir}/samba/rpcd_rpcecho
%{_libexecdir}/samba/rpcd_spoolss
%{_libexecdir}/samba/rpcd_winreg

%dir %{_datadir}/samba
%dir %{_datadir}/samba/mdssvc
%{_datadir}/samba/mdssvc/elasticsearch_mappings.json

%{_unitdir}/nmb.service
%{_unitdir}/smb.service
%attr(1777,root,root) %dir /var/spool/samba
%dir %{_sysconfdir}/openldap/schema
%{_sysconfdir}/openldap/schema/samba.schema
%{_sysconfdir}/pam.d/samba
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man8/eventlogadm.8*
%{_mandir}/man8/samba-bgqd.8*
%{_mandir}/man8/samba-dcerpcd.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/vfs_acl_tdb.8*
%{_mandir}/man8/vfs_acl_xattr.8*
%{_mandir}/man8/vfs_aio_fork.8*
%{_mandir}/man8/vfs_aio_pthread.8*
%{_mandir}/man8/vfs_audit.8*
%{_mandir}/man8/vfs_btrfs.8*
%{_mandir}/man8/vfs_cap.8*
%{_mandir}/man8/vfs_catia.8*
%{_mandir}/man8/vfs_commit.8*
%{_mandir}/man8/vfs_crossrename.8*
%{_mandir}/man8/vfs_default_quota.8*
%{_mandir}/man8/vfs_dirsort.8*
%{_mandir}/man8/vfs_extd_audit.8*
%{_mandir}/man8/vfs_fake_perms.8*
%{_mandir}/man8/vfs_fileid.8*
%{_mandir}/man8/vfs_fruit.8*
%{_mandir}/man8/vfs_full_audit.8*
%{_mandir}/man8/vfs_glusterfs_fuse.8*
%{_mandir}/man8/vfs_gpfs.8*
%ifnarch %{arm}
%{_mandir}/man8/vfs_io_uring.8*
%endif
%{_mandir}/man8/vfs_expand_msdfs.8.*
%{_mandir}/man8/vfs_linux_xfs_sgid.8*
%{_mandir}/man8/vfs_media_harmony.8*
%{_mandir}/man8/vfs_preopen.8*
%{_mandir}/man8/vfs_readahead.8*
%{_mandir}/man8/vfs_readonly.8*
%{_mandir}/man8/vfs_recycle.8*
%{_mandir}/man8/vfs_shadow_copy.8*
%{_mandir}/man8/vfs_shadow_copy2.8*
%{_mandir}/man8/vfs_snapper.8*
%{_mandir}/man8/vfs_streams_depot.8*
%{_mandir}/man8/vfs_streams_xattr.8*
%{_mandir}/man8/vfs_syncops.8*
%{_mandir}/man8/vfs_time_audit.8*
%{_mandir}/man8/vfs_virusfilter.8*
%{_mandir}/man8/vfs_widelinks.8*
%{_mandir}/man8/vfs_worm.8*
%{_mandir}/man8/vfs_xattr_tdb.8*

%attr(775,root,printadmin) %dir /var/lib/samba/drivers

### CLIENT
%files client
%{_bindir}/cifsdd
%{_bindir}/mdsearch
%{_bindir}/mvxattr
%{_bindir}/dbwrap_tool
%{_bindir}/dumpmscat
%{_bindir}/nmblookup
%{_bindir}/oLschema2ldif
%{_bindir}/regdiff
%{_bindir}/regpatch
%{_bindir}/regshell
%{_bindir}/regtree
%{_bindir}/rpcclient
%{_bindir}/samba-regedit
%{_bindir}/sharesec
%{_bindir}/smbcacls
%{_bindir}/smbclient
%{_bindir}/smbcquotas
%{_bindir}/smbget
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
%dir %{_libexecdir}/samba
%ghost %{_libexecdir}/samba/cups_backend_smb
%{_mandir}/man1/mdsearch.1*
%{_mandir}/man1/mvxattr.1*
%{_mandir}/man1/dbwrap_tool.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/oLschema2ldif.1*
%{_mandir}/man1/regdiff.1*
%{_mandir}/man1/regpatch.1*
%{_mandir}/man1/regshell.1*
%{_mandir}/man1/regtree.1*
%{_mandir}/man1/log2pcap.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/sharesec.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/smbget.1*
## we don't build it for now
%if %{with_internal_ntdb}
%{_mandir}/man3/ntdb.3*
%{_mandir}/man8/ntdbbackup.8*
%{_mandir}/man8/ntdbdump.8*
%{_mandir}/man8/ntdbrestore.8*
%{_mandir}/man8/ntdbtool.8*
%endif
%{_mandir}/man5/smbgetrc.5*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man8/samba-regedit.8*
%{_mandir}/man8/smbspool.8*
%{_mandir}/man8/cifsdd.8*
%{_mandir}/man8/vfs_offline.8*

## we don't build it for now
%if %{with_internal_ntdb}
%{_bindir}/ntdbbackup
%{_bindir}/ntdbdump
%{_bindir}/ntdbrestore
%{_bindir}/ntdbtool
%endif

%if %{with_internal_tdb}
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%{_bindir}/tdbrestore
%{_bindir}/tdbtool
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
%{_mandir}/man8/tdbrestore.8*
%{_mandir}/man8/tdbtool.8*
%endif

%if %{with_internal_ldb}
%{_bindir}/ldbadd
%{_bindir}/ldbdel
%{_bindir}/ldbedit
%{_bindir}/ldbmodify
%{_bindir}/ldbrename
%{_bindir}/ldbsearch
%{_libdir}/samba/libldb-cmdline-samba4.so
%dir %{_libdir}/samba/ldb
%{_libdir}/samba/ldb/asq.so
%{_libdir}/samba/ldb/dsdb_notification.so
%{_libdir}/samba/ldb/paged_results.so
%{_libdir}/samba/ldb/paged_searches.so
%{_libdir}/samba/ldb/rdn_name.so
%{_libdir}/samba/ldb/sample.so
%{_libdir}/samba/ldb/server_sort.so
%{_libdir}/samba/ldb/skel.so
%{_libdir}/samba/ldb/tdb.so
%{_libdir}/samba/ldb/vlv.so
%{_mandir}/man1/ldbadd.1*
%{_mandir}/man1/ldbdel.1*
%{_mandir}/man1/ldbedit.1*
%{_mandir}/man1/ldbmodify.1*
%{_mandir}/man1/ldbrename.1*
%{_mandir}/man1/ldbsearch.1*
%endif

### COMMON
%files common
%{_tmpfilesdir}/samba.conf
%{_sysusersdir}/samba.conf
%dir %{_sysconfdir}/logrotate.d/
%config(noreplace) %{_sysconfdir}/logrotate.d/samba
%attr(0700,root,root) %dir /var/log/samba
%attr(0700,root,root) %dir /var/log/samba/old
%ghost %dir /run/samba
%ghost %dir /run/winbindd
%dir /var/lib/samba
%attr(700,root,root) %dir /var/lib/samba/private
%attr(755,root,root) %dir /var/lib/samba/msg
%dir /var/lib/samba/lock
%attr(755,root,root) %dir %{_sysconfdir}/samba
%config(noreplace) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %{_sysconfdir}/samba/lmhosts
%config(noreplace) %{_sysconfdir}/sysconfig/samba
%{_bindir}/net
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcontrol
%{_bindir}/smbpasswd
%{_bindir}/testparm
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*
%{_mandir}/man7/traffic*.7*
%{_mandir}/man8/net.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/smbpasswd.8*

%dir %{_libdir}/samba/pdb
%{_libdir}/samba/pdb/ldapsam.so
%{_libdir}/samba/pdb/smbpasswd.so
%{_libdir}/samba/pdb/tdbsam.so
#{_libdir}/samba/pdb/wbc_sam.so

### DC
%files dc

%if %{with_dc}
%{_unitdir}/samba.service
%{_bindir}/samba-tool
%{_sbindir}/samba
%{_sbindir}/samba_kcc
%{_sbindir}/samba_dnsupdate
%{_sbindir}/samba_downgrade_db
%{_sbindir}/samba_spnupdate
%{_sbindir}/samba_upgradedns
%{_sbindir}/samba-gpupdate
%{_libdir}/samba/auth/samba4.so
%attr(770,root,named) %dir /var/lib/samba/bind-dns
%dir %{_libdir}/samba/bind9
%{_libdir}/samba/bind9/dlz_bind9_10.so
%{_libdir}/samba/bind9/dlz_bind9_11.so
%{_libdir}/samba/bind9/dlz_bind9_12.so
%{_libdir}/samba/bind9/dlz_bind9_14.so
%{_libdir}/samba/bind9/dlz_bind9_16.so
%{_libdir}/samba/bind9/dlz_bind9_18.so
%dir %{_libdir}/samba/gensec
%{_libdir}/samba/gensec/krb5.so
%{_libdir}/samba/ldb/acl.so
%{_libdir}/samba/ldb/aclread.so
%{_libdir}/samba/ldb/anr.so
%{_libdir}/samba/ldb/audit_log.so
%{_libdir}/samba/ldb/count_attrs.so
%{_libdir}/samba/ldb/descriptor.so
%{_libdir}/samba/ldb/dirsync.so
%{_libdir}/samba/ldb/dsdb_notification.so
%{_libdir}/samba/ldb/encrypted_secrets.so
%{_libdir}/samba/ldb/extended_dn_in.so
%{_libdir}/samba/ldb/extended_dn_out.so
%{_libdir}/samba/ldb/extended_dn_store.so
%{_libdir}/samba/ldb/group_audit_log.so
%{_libdir}/samba/ldb/ildap.so
%{_libdir}/samba/ldb/instancetype.so
%{_libdir}/samba/ldb/lazy_commit.so
%{_libdir}/samba/ldb/ldbsamba_extensions.so
%{_libdir}/samba/ldb/linked_attributes.so
%{_libdir}/samba/ldb/new_partition.so
%{_libdir}/samba/ldb/objectclass.so
%{_libdir}/samba/ldb/objectclass_attrs.so
%{_libdir}/samba/ldb/objectguid.so
%{_libdir}/samba/ldb/operational.so
%{_libdir}/samba/ldb/paged_results.so
%{_libdir}/samba/ldb/partition.so
%{_libdir}/samba/ldb/password_hash.so
%{_libdir}/samba/ldb/ranged_results.so
%{_libdir}/samba/ldb/repl_meta_data.so
%{_libdir}/samba/ldb/resolve_oids.so
%{_libdir}/samba/ldb/rootdse.so
%{_libdir}/samba/ldb/samba3sam.so
%{_libdir}/samba/ldb/samba3sid.so
%{_libdir}/samba/ldb/samba_dsdb.so
%{_libdir}/samba/ldb/samba_secrets.so
%{_libdir}/samba/ldb/samldb.so
%{_libdir}/samba/ldb/schema_data.so
%{_libdir}/samba/ldb/schema_load.so
%{_libdir}/samba/ldb/secrets_tdb_sync.so
%{_libdir}/samba/ldb/show_deleted.so
%{_libdir}/samba/ldb/subtree_delete.so
%{_libdir}/samba/ldb/subtree_rename.so
%{_libdir}/samba/ldb/unique_object_sids.so
%{_libdir}/samba/ldb/update_keytab.so
%{_libdir}/samba/ldb/vlv.so
%{_libdir}/samba/ldb/wins_ldb.so
%{_libdir}/samba/ldb/dns_notify.so
%{_libdir}/samba/ldb/tombstone_reanimate.so
%{_libdir}/samba/vfs/posix_eadb.so
%dir /var/lib/samba/sysvol
%{_datadir}/samba/setup
%{_datadir}/samba/admx
%{_mandir}/man8/samba.8*
%{_mandir}/man8/samba_downgrade_db.8*
%{_mandir}/man8/samba-tool.8*
%{_mandir}/man8/samba-gpupdate.8*
%else
# with_dc
%doc packaging/README.dc
%exclude %{_mandir}/man8/samba.8*
%exclude %{_mandir}/man8/samba_downgrade_db.8*
%exclude %{_mandir}/man8/samba-tool.8*
%exclude %{_libdir}/samba/ldb/ildap.so
%exclude %{_libdir}/samba/ldb/ldbsamba_extensions.so

%endif
# with_dc

### DC-LIBS
%files -n %{libsdc}

%if %{with_dc}
%{_libdir}/samba/libpac-samba4.so
%{_libdir}/samba/libprocess-model-samba4.so
%{_libdir}/samba/libservice-samba4.so
%dir %{_libdir}/samba/process_model
%{_libdir}/samba/process_model/*.so
%dir %{_libdir}/samba/service
%{_libdir}/samba/service/cldap.so
%{_libdir}/samba/service/dcerpc.so
%{_libdir}/samba/service/dns.so
%{_libdir}/samba/service/dns_update.so
%{_libdir}/samba/service/drepl.so
%{_libdir}/samba/service/kcc.so
%{_libdir}/samba/service/kdc.so
%{_libdir}/samba/service/ldap.so
%{_libdir}/samba/service/nbtd.so
%{_libdir}/samba/service/ntp_signd.so
%{_libdir}/samba/service/s3fs.so
%{_libdir}/samba/service/winbindd.so
%{_libdir}/samba/service/wrepl.so
%{_libdir}/libdcerpc-server.so.%{dcmajor}
%{_libdir}/libdcerpc-server.so.%{dcmajor}.*
%{_libdir}/libdcerpc-server-core.so.%{dcmajor}
%{_libdir}/libdcerpc-server-core.so.%{dcmajor}.*
%{_libdir}/samba/libclidns-samba4.so
%{_libdir}/samba/libdfs-server-ad-samba4.so
%{_libdir}/samba/libdnsserver-common-samba4.so
%{_libdir}/samba/libdsdb-module-samba4.so
%{_libdir}/samba/libposix-eadb-samba4.so
%{_libdir}/samba/libkdc-samba4.so
%{_libdir}/samba/libheimntlm-samba4.so
%else
%doc packaging/README.dc-libs
%exclude %{_libdir}/samba/libdfs-server-ad-samba4.so
%exclude %{_libdir}/samba/libdnsserver-common-samba4.so
%endif
# with_dc

### DEVEL
%files -n %{develname}
%{_includedir}/samba-4.0/charset.h
%{_includedir}/samba-4.0/core/doserr.h
%{_includedir}/samba-4.0/core/error.h
%{_includedir}/samba-4.0/core/hresult.h
%{_includedir}/samba-4.0/core/ntstatus.h
%{_includedir}/samba-4.0/core/ntstatus_gen.h
%{_includedir}/samba-4.0/core/werror.h
%{_includedir}/samba-4.0/core/werror_gen.h
%{_includedir}/samba-4.0/credentials.h
%{_includedir}/samba-4.0/dcerpc.h
%{_includedir}/samba-4.0/dcesrv_core.h
%{_includedir}/samba-4.0/domain_credentials.h
%{_includedir}/samba-4.0/gen_ndr/atsvc.h
%{_includedir}/samba-4.0/gen_ndr/auth.h
%{_includedir}/samba-4.0/gen_ndr/dcerpc.h
%{_includedir}/samba-4.0/gen_ndr/krb5pac.h
%{_includedir}/samba-4.0/gen_ndr/lsa.h
%{_includedir}/samba-4.0/gen_ndr/misc.h
%{_includedir}/samba-4.0/gen_ndr/nbt.h
%{_includedir}/samba-4.0/gen_ndr/drsblobs.h
%{_includedir}/samba-4.0/gen_ndr/drsuapi.h
%{_includedir}/samba-4.0/gen_ndr/ndr_drsblobs.h
%{_includedir}/samba-4.0/gen_ndr/ndr_drsuapi.h
%{_includedir}/samba-4.0/gen_ndr/ndr_atsvc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_dcerpc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_krb5pac.h
%{_includedir}/samba-4.0/gen_ndr/ndr_misc.h
%{_includedir}/samba-4.0/gen_ndr/ndr_nbt.h
%{_includedir}/samba-4.0/gen_ndr/ndr_samr.h
%{_includedir}/samba-4.0/gen_ndr/ndr_samr_c.h
%{_includedir}/samba-4.0/gen_ndr/ndr_svcctl.h
%{_includedir}/samba-4.0/gen_ndr/ndr_svcctl_c.h
%{_includedir}/samba-4.0/gen_ndr/netlogon.h
%{_includedir}/samba-4.0/gen_ndr/samr.h
%{_includedir}/samba-4.0/gen_ndr/security.h
%{_includedir}/samba-4.0/gen_ndr/server_id.h
%{_includedir}/samba-4.0/gen_ndr/svcctl.h
%{_includedir}/samba-4.0/ldb_wrap.h
%{_includedir}/samba-4.0/lookup_sid.h
%{_includedir}/samba-4.0/machine_sid.h
%{_includedir}/samba-4.0/ndr.h
%dir %{_includedir}/samba-4.0/ndr
%{_includedir}/samba-4.0/ndr/ndr_dcerpc.h
%{_includedir}/samba-4.0/ndr/ndr_drsblobs.h
%{_includedir}/samba-4.0/ndr/ndr_krb5pac.h
%{_includedir}/samba-4.0/ndr/ndr_drsuapi.h
%{_includedir}/samba-4.0/ndr/ndr_svcctl.h
%{_includedir}/samba-4.0/ndr/ndr_nbt.h
%{_includedir}/samba-4.0/netapi.h
%{_includedir}/samba-4.0/param.h
%{_includedir}/samba-4.0/passdb.h
%{_includedir}/samba-4.0/policy.h
%{_includedir}/samba-4.0/rpc_common.h
%{_includedir}/samba-4.0/samba/session.h
%{_includedir}/samba-4.0/samba/version.h
%{_includedir}/samba-4.0/share.h
%{_includedir}/samba-4.0/smbconf.h
%{_includedir}/samba-4.0/smb2_lease_struct.h
%{_includedir}/samba-4.0/smb_ldap.h
%{_includedir}/samba-4.0/smbldap.h
%{_includedir}/samba-4.0/tdr.h
%{_includedir}/samba-4.0/tsocket.h
%{_includedir}/samba-4.0/tsocket_internal.h
%dir %{_includedir}/samba-4.0/util
%{_includedir}/samba-4.0/util/attr.h
%{_includedir}/samba-4.0/util/blocking.h
%{_includedir}/samba-4.0/util/data_blob.h
%{_includedir}/samba-4.0/util/debug.h
%{_includedir}/samba-4.0/util/discard.h
%{_includedir}/samba-4.0/util/fault.h
%{_includedir}/samba-4.0/util/idtree.h
%{_includedir}/samba-4.0/util/idtree_random.h
%{_includedir}/samba-4.0/util/signal.h
%{_includedir}/samba-4.0/util/substitute.h
%{_includedir}/samba-4.0/util/tevent_ntstatus.h
%{_includedir}/samba-4.0/util/tevent_unix.h
%{_includedir}/samba-4.0/util/tevent_werror.h
%{_includedir}/samba-4.0/util/tfork.h
%{_includedir}/samba-4.0/util/time.h
%{_includedir}/samba-4.0/util_ldb.h
%{_includedir}/samba-4.0/util/genrand.h
%{_libdir}/libdcerpc-binding.so
%{_libdir}/libdcerpc-samr.so
%{_libdir}/libdcerpc.so
%{_libdir}/libndr-krb5pac.so
%{_libdir}/libndr-nbt.so
%{_libdir}/libndr-standard.so
%{_libdir}/libndr.so
%{_libdir}/libnetapi.so
%{_libdir}/libsamba-credentials.so
%{_libdir}/libsamba-hostconfig.so
%{_libdir}/libsamba-util.so
%{_libdir}/libsamdb.so
%{_libdir}/libsmbconf.so
%{_libdir}/libtevent-util.so
%{_libdir}/pkgconfig/dcerpc.pc
%{_libdir}/pkgconfig/dcerpc_samr.pc
%{_libdir}/pkgconfig/ndr.pc
%{_libdir}/pkgconfig/ndr_krb5pac.pc
%{_libdir}/pkgconfig/ndr_nbt.pc
%{_libdir}/pkgconfig/ndr_standard.pc
%{_libdir}/pkgconfig/netapi.pc
%{_libdir}/pkgconfig/samba-credentials.pc
%{_libdir}/pkgconfig/samba-hostconfig.pc
%{_libdir}/pkgconfig/samba-util.pc
%{_libdir}/pkgconfig/samdb.pc
%{_libdir}/libsamba-passdb.so
%{_libdir}/libsmbldap.so
%{_libdir}/libsamba-errors.so

%if %{with_dc}
%{_includedir}/samba-4.0/dcerpc_server.h
%{_libdir}/libdcerpc-server.so
%{_libdir}/libdcerpc-server-core.so
%{_libdir}/pkgconfig/dcerpc_server.pc

%{_libdir}/libsamba-policy.*.so
%{_libdir}/pkgconfig/samba-policy.*.pc
%endif

%if %{with_internal_talloc}
%{_includedir}/samba-4.0/pytalloc.h
%endif

%if ! %{with_libsmbclient}
%{_includedir}/samba-4.0/libsmbclient.h
%endif
# ! with_libsmbclient

%if ! %{with_libwbclient}
%{_includedir}/samba-4.0/wbclient.h
%endif
# ! with_libwbclient

### VFS-CEPHFS
%if %{with_vfs_cephfs}
%files vfs-cephfs
%{_libdir}/samba/vfs/ceph.so
%{_mandir}/man8/vfs_ceph.8*
%endif

### VFS-GLUSTERFS
%if %{with_vfs_glusterfs}
%files vfs-glusterfs
%{_libdir}/samba/vfs/glusterfs.so
%{_mandir}/man8/vfs_glusterfs.8*
%endif

### KRB5-PRINTING
%files krb5-printing
%attr(0700,root,root) %{_libexecdir}/samba/smbspool_krb5_wrapper
%{_mandir}/man8/smbspool_krb5_wrapper.8*

### LIBS
%files -n %{libname}
%{_libdir}/libdcerpc-samr.so.*
%{_libdir}/libsamba-policy.*.so.*

# libraries needed by the public libraries
%{_libdir}/samba/libMESSAGING-samba4.so
%{_libdir}/samba/libMESSAGING-SEND-samba4.so
%{_libdir}/samba/libLIBWBCLIENT-OLD-samba4.so
%{_libdir}/samba/libauth4-samba4.so
%{_libdir}/samba/libauth-unix-token-samba4.so
%{_libdir}/samba/libcommon-auth-samba4.so
%{_libdir}/samba/libdcerpc-samba4.so
%{_libdir}/samba/libprinter-driver-samba4.so
%{_libdir}/samba/libsamba-net.*-samba4.so
%{_libdir}/samba/libsamba-python.*-samba4.so
%{_libdir}/samba/libshares-samba4.so
%{_libdir}/samba/libsmbpasswdparser-samba4.so
%{_libdir}/samba/libxattr-tdb-samba4.so

%if %{with_dc}
%{_libdir}/samba/libdb-glue-samba4.so
%{_libdir}/samba/libHDB-SAMBA4-samba4.so
%{_libdir}/samba/libasn1-samba4.so
%{_libdir}/samba/libgssapi-samba4.so
%{_libdir}/samba/libhcrypto-samba4.so
%{_libdir}/samba/libhdb-samba4.so
%{_libdir}/samba/libheimbase-samba4.so
%{_libdir}/samba/libhx509-samba4.so
%{_libdir}/samba/libkrb5-samba4.so
%{_libdir}/samba/libroken-samba4.so
%{_libdir}/samba/libwind-samba4.so
%endif

%{_libdir}/libdcerpc-binding.so.*
%{_libdir}/libndr.so.*
%{_libdir}/libndr-krb5pac.so.*
%{_libdir}/libndr-nbt.so.*
%{_libdir}/libndr-standard.so.*
%{_libdir}/libnetapi.so.*
%{_libdir}/libsamba-credentials.so.*
%{_libdir}/libsamba-passdb.so.*
%{_libdir}/libsamba-util.so.*
%{_libdir}/libsamba-hostconfig.so.*
%{_libdir}/libsamdb.so.*
%{_libdir}/libsmbconf.so.*
%{_libdir}/libsmbldap.so.*
%{_libdir}/libtevent-util.so.*
%{_libdir}/libdcerpc.so.*
%{_libdir}/libsamba-errors.so.*

%dir %{_libdir}/samba
%{_libdir}/samba/libCHARSET3-samba4.so
%{_libdir}/samba/libREG-FULL-samba4.so
%{_libdir}/samba/libRPC-SERVER-LOOP-samba4.so
%{_libdir}/samba/libRPC-WORKER-samba4.so
%{_libdir}/samba/libaddns-samba4.so
%{_libdir}/samba/libads-samba4.so
%{_libdir}/samba/libasn1util-samba4.so
#{_libdir}/samba/libauth-sam-reply-samba4.so
%{_libdir}/samba/libauth-samba4.so
%{_libdir}/samba/libauthkrb5-samba4.so
%{_libdir}/samba/libcli-cldap-samba4.so
%{_libdir}/samba/libcli-ldap-common-samba4.so
%{_libdir}/samba/libcli-ldap-samba4.so
%{_libdir}/samba/libcli-nbt-samba4.so
%{_libdir}/samba/libcli-smb-common-samba4.so
%{_libdir}/samba/libcli-spoolss-samba4.so
%{_libdir}/samba/libcliauth-samba4.so
%{_libdir}/samba/libcluster-samba4.so
%{_libdir}/samba/libcmdline-samba4.so
%{_libdir}/samba/libcmdline-contexts-samba4.so
%{_libdir}/samba/libdbwrap-samba4.so
%{_libdir}/samba/libdcerpc-pkt-auth-samba4.so
%{_libdir}/samba/libdcerpc-samba-samba4.so
%{_libdir}/samba/libscavenge-dns-records-samba4.so
%{_libdir}/samba/libdsdb-garbage-collect-tombstones-samba4.so
%{_libdir}/samba/libevents-samba4.so
%{_libdir}/samba/libflag-mapping-samba4.so
%{_libdir}/samba/libgpext-samba4.so
%{_libdir}/samba/libgpo-samba4.so
%{_libdir}/samba/libgse-samba4.so
%{_libdir}/samba/libhttp-samba4.so
%{_libdir}/samba/libinterfaces-samba4.so
%{_libdir}/samba/libkrb5samba-samba4.so
%{_libdir}/samba/libldbsamba-samba4.so
%{_libdir}/samba/liblibcli-lsa3-samba4.so
%{_libdir}/samba/liblibcli-netlogon3-samba4.so
%{_libdir}/samba/liblibsmb-samba4.so
%{_libdir}/samba/libmsrpc3-samba4.so
%{_libdir}/samba/libndr-samba-samba4.so
%{_libdir}/samba/libndr-samba4.so
%{_libdir}/samba/libnet-keytab-samba4.so
%{_libdir}/samba/libnetif-samba4.so
%{_libdir}/samba/libnpa-tstream-samba4.so
%{_libdir}/samba/libprinting-migrate-samba4.so
%{_libdir}/samba/libreplace-samba4.so
%{_libdir}/samba/libsamba-cluster-support-samba4.so
%{_libdir}/samba/libsamba-debug-samba4.so
%{_libdir}/samba/libsamba-modules-samba4.so
%{_libdir}/samba/libsamba-security-samba4.so
%{_libdir}/samba/libsamba-sockets-samba4.so
%{_libdir}/samba/libsamba3-util-samba4.so
%{_libdir}/samba/libsamdb-common-samba4.so
%{_libdir}/samba/libsecrets3-samba4.so
%{_libdir}/samba/libserver-role-samba4.so
%{_libdir}/samba/libsmb-transport-samba4.so
%{_libdir}/samba/libsmbd-base-samba4.so
%{_libdir}/samba/libsmbd-shim-samba4.so
%{_libdir}/samba/libsmbldaphelper-samba4.so
%{_libdir}/samba/libsocket-blocking-samba4.so
%{_libdir}/samba/libtdb-wrap-samba4.so
%{_libdir}/samba/libtrusts-util-samba4.so
%{_libdir}/samba/libutil-reg-samba4.so
%{_libdir}/samba/libutil-setid-samba4.so
%{_libdir}/samba/libutil-tdb-samba4.so
#{_libdir}/samba/libwinbind-client-samba4.so
%{_libdir}/samba/libgenrand-samba4.so
%{_libdir}/samba/libiov-buf-samba4.so
%{_libdir}/samba/libmessages-dgm-samba4.so
%{_libdir}/samba/libmessages-util-samba4.so
%{_libdir}/samba/libmscat-samba4.so
%{_libdir}/samba/libmsghdr-samba4.so
%{_libdir}/samba/libserver-id-db-samba4.so
%{_libdir}/samba/libsys-rw-samba4.so
%{_libdir}/samba/libtalloc-report-samba4.so
%{_libdir}/samba/libtalloc-report-printf-samba4.so
%{_libdir}/samba/libtime-basic-samba4.so
%{_libdir}/samba/vfs/shell_snap.so
%{_libdir}/samba/vfs/unityed_media.so

%{_libdir}/samba/libcom-err-samba4.so
%{_libdir}/samba/libgensec-samba4.so
%{_libdir}/samba/libgss-preauth-samba4.so
%{_libdir}/samba/libregistry-samba4.so
%{_libdir}/samba/libsmbclient-raw-samba4.so
%{_libdir}/samba/libtorture-samba4.so

%{_mandir}/man8/vfs_shell_snap.8.*
%{_mandir}/man8/vfs_unityed_media.8.*

%if ! %{with_libwbclient}
%{_libdir}/samba/libwbclient.so.*
#{_libdir}/samba/libwinbind-client-samba4.so
%endif
# ! with_libwbclient

%if ! %{with_libsmbclient}
%{_libdir}/samba/libsmbclient.so.*
%{_mandir}/man7/libsmbclient.7*
%endif
# ! with_libsmbclient

%if %{with_internal_ntdb}
%{_libdir}/samba/libntdb.so.1
%{_libdir}/samba/libntdb.so.%{ntdb_version}
%endif

%if %{with_internal_talloc}
%{_libdir}/samba/libtalloc.so.2
%{_libdir}/samba/libtalloc.so.%{talloc_version}
%{_libdir}/samba/libpytalloc-util.so.2
%{_libdir}/samba/libpytalloc-util.so.%{talloc_version}
%{_mandir}/man3/talloc.3*
%endif

%if %{with_internal_tevent}
%{_libdir}/samba/libtevent.so.0
%{_libdir}/samba/libtevent.so.%{tevent_version}
%endif

%if %{with_internal_tdb}
%{_libdir}/samba/libtdb.so.1
%{_libdir}/samba/libtdb.so.%{tdb_version}
%endif

%if %{with_internal_ldb}
%{_libdir}/samba/libldb.so.1
%{_libdir}/samba/libldb.so.%{ldb_version}
%{_libdir}/samba/ldb.so
%{_libdir}/samba/mdb.so
%{_libdir}/samba/libldb-key-value-samba4.so
%{_libdir}/samba/libldb-mdb-int-samba4.so
%{_mandir}/man3/ldb.3*
%endif

### LIBSMBCLIENT
%if %{with_libsmbclient}
%files -n %{libsmbclient}
%{_libdir}/libsmbclient.so.%{smbclientmajor}
%{_libdir}/libsmbclient.so.%{smbclientmajor}.*


### LIBSMBCLIENT-DEVEL
%files -n %{smbclientdevel}
%{_includedir}/samba-4.0/libsmbclient.h
%{_libdir}/libsmbclient.so
%{_libdir}/pkgconfig/smbclient.pc
%{_mandir}/man7/libsmbclient.7*
%endif
# with_libsmbclient

### LIBWBCLIENT
%if %{with_libwbclient}
%files -n %{libwbclient}
%{_libdir}/libwbclient.so.%{wbclientmajor}
%{_libdir}/libwbclient.so.%{wbclientmajor}.*
#{_libdir}/samba/libwinbind-client-samba4.so

### LIBWBCLIENT-DEVEL
%files -n %{wbclientdevel}
%{_includedir}/samba-4.0/wbclient.h
%{_libdir}/libwbclient.so
%{_libdir}/pkgconfig/wbclient.pc
%endif
# with_libwbclient

### PIDL
%if %{with pidl}
%files pidl
%attr(755,root,root) %{_bindir}/pidl
%dir %{perl_vendorlib}/Parse
%{perl_vendorlib}/Parse/Pidl.pm
%dir %{perl_vendorlib}/Parse/Pidl
%{perl_vendorlib}/Parse/Pidl/CUtil.pm
%{perl_vendorlib}/Parse/Pidl/Samba4.pm
%{perl_vendorlib}/Parse/Pidl/Expr.pm
%{perl_vendorlib}/Parse/Pidl/ODL.pm
%{perl_vendorlib}/Parse/Pidl/Typelist.pm
%{perl_vendorlib}/Parse/Pidl/IDL.pm
%{perl_vendorlib}/Parse/Pidl/Compat.pm
%dir %{perl_vendorlib}/Parse/Pidl/Wireshark
%{perl_vendorlib}/Parse/Pidl/Wireshark/Conformance.pm
%{perl_vendorlib}/Parse/Pidl/Wireshark/NDR.pm
%{perl_vendorlib}/Parse/Pidl/Dump.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba3
%{perl_vendorlib}/Parse/Pidl/Samba3/ServerNDR.pm
%{perl_vendorlib}/Parse/Pidl/Samba3/ClientNDR.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba4
%{perl_vendorlib}/Parse/Pidl/Samba4/Header.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba4/COM
%{perl_vendorlib}/Parse/Pidl/Samba4/COM/Header.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/COM/Proxy.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/COM/Stub.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/Python.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/Template.pm
%dir %{perl_vendorlib}/Parse/Pidl/Samba4/NDR
%{perl_vendorlib}/Parse/Pidl/Samba4/NDR/Server.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/NDR/Client.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/NDR/Parser.pm
%{perl_vendorlib}/Parse/Pidl/Samba4/TDR.pm
%{perl_vendorlib}/Parse/Pidl/NDR.pm
%{perl_vendorlib}/Parse/Pidl/Util.pm
%{_mandir}/man1/pidl*
%{_mandir}/man3/Parse::Pidl*
%endif

### PYTHON
%files -n python3-samba
%{python3_sitearch}/*

### TEST
%files test
%{_bindir}/gentest
%{_bindir}/locktest
%{_bindir}/masktest
%{_bindir}/ndrdump
%{_bindir}/smbtorture
%{_mandir}/man1/gentest.1*
%{_mandir}/man1/locktest.1*
%{_mandir}/man1/masktest.1*
%{_mandir}/man1/ndrdump.1*
%{_mandir}/man1/smbtorture.1*
#{_mandir}/man1/vfstest.1*

%if %{with testsuite}
# files to ignore in testsuite mode
%{_libdir}/samba/libnss-wrapper.so
%{_libdir}/samba/libsocket-wrapper.so
%{_libdir}/samba/libuid-wrapper.so
%endif

### TEST-LIBS
%files -n %{libtest}
%if %{with_dc}
%{_libdir}/samba/libdlz-bind9-for-torture-samba4.so
%else
%{_libdir}/samba/libdsdb-module-samba4.so
%endif

### USERSHARES
%files usershares
%config(noreplace) %{_sysconfdir}/samba/usershares.conf
%attr(1770,root,sambashares) %dir /var/lib/samba/usershares
%{_sysusersdir}/samba-usershares.conf

### WINBIND
%files winbind
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%{_libdir}/samba/libnss-info-samba4.so
%{_libdir}/samba/libidmap-samba4.so
%{_sbindir}/winbindd
%attr(750,root,wbpriv) %dir /var/lib/samba/winbindd_privileged
%{_unitdir}/winbind.service
%{_mandir}/man8/winbindd.8*
%{_mandir}/man8/idmap_*.8*

### WINBIND-CLIENTS
%files winbind-clients

%{_bindir}/ntlm_auth
%{_bindir}/wbinfo
%{_mandir}/man1/ntlm_auth.1.*
%{_mandir}/man1/wbinfo.1*

### WINBIND-KRB5-LOCATOR
%files winbind-krb5-locator
%ghost %{_libdir}/krb5/plugins/libkrb5/winbind_krb5_locator.so
%dir %{_libdir}/samba/krb5
%{_libdir}/samba/krb5/winbind_krb5_locator.so
%{_libdir}/samba/krb5/async_dns_krb5_locator.so
%{_mandir}/man8/winbind_krb5_locator.8*

### WINBIND-MODULES
%files winbind-modules
%{_libdir}/libnss_winbind.so.%{nssmajor}
%{_libdir}/libnss_wins.so.%{nssmajor}
%{_libdir}/security/pam_winbind.so
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%{_mandir}/man5/pam_winbind.conf.5*
%{_mandir}/man8/pam_winbind.8*

%if %{with_clustering_support}
%files -n ctdb
%config(noreplace) %{_sysconfdir}/ctdb/*.sh
%config(noreplace) %{_sysconfdir}/ctdb/functions
%dir %{_localstatedir}/lib/ctdb/
%{_tmpfilesdir}/%{name}.conf

%{_unitdir}/ctdb.service

%dir %{_sysconfdir}/ctdb
%{_sysconfdir}/ctdb/statd-callout
%{_sysconfdir}/ctdb/events/notification/README
%dir %{_sysconfdir}/ctdb/nfs-checks.d
%{_sysconfdir}/ctdb/nfs-checks.d/00.portmapper.check
%{_sysconfdir}/ctdb/nfs-checks.d/10.status.check
%{_sysconfdir}/ctdb/nfs-checks.d/20.nfs.check
%{_sysconfdir}/ctdb/nfs-checks.d/30.nlockmgr.check
%{_sysconfdir}/ctdb/nfs-checks.d/40.mountd.check
%{_sysconfdir}/ctdb/nfs-checks.d/50.rquotad.check
%{_sysconfdir}/ctdb/nfs-checks.d/README
%{_sysconfdir}/ctdb/nfs-linux-kernel-callout

%{_sysconfdir}/sudoers.d/ctdb
%{_prefix}/lib/tmpfiles.d/ctdb.conf
%{_sbindir}/ctdbd
%{_bindir}/ctdb
%{_bindir}/ping_pong
%{_bindir}/ltdbtool
%{_bindir}/ctdb_diagnostics
%{_bindir}/onnode

%{_libexecdir}/ctdb/ctdb_*
%{_libexecdir}/ctdb/smnotify
%{_libexecdir}/ctdb/ctdb-*
%{_libexecdir}/ctdb/tdb_mutex_check

%{_libdir}/samba/libctdb-event-client-samba4.so

%dir %{_datadir}/ctdb/events
%{_datadir}/ctdb/events/*

%{_mandir}/man1/ctdb*.1*
%{_mandir}/man1/onnode.1*
%{_mandir}/man1/ltdbtool.1*
%{_mandir}/man1/ping_pong.1*
%{_mandir}/man5/ctdb*.5*
%{_mandir}/man7/ctdb*.7*

%if %{with testsuite}
%files -n ctdb-tests
%doc ctdb/tests/README
%{_bindir}/ctdb_local_daemons
%{_bindir}/ctdb_run_tests
%{_bindir}/ctdb_run_cluster_tests
%%dir %{_datadir}/ctdb/tests
%{_datadir}/ctdb/tests/*
%%dir %{_libexecdir}/ctdb/tests
%{_libexecdir}/ctdb/tests/*
%endif

%endif
# with_clustering_support


%changelog
* Mon Jul 31 2023 buchan <buchan> 4.17.10-1.mga9
+ Revision: 1964356
- Upgrade to 4.17.10

* Fri Jun 23 2023 daviddavid <daviddavid> 4.17.8-2.mga9
+ Revision: 1962851
- samba-usershares: change "usershares" group for "sambashares" group (mga#30090#c5)

* Sat May 13 2023 buchan <buchan> 4.17.8-1.mga9
+ Revision: 1956790
- Upgrade to 4.17.8

* Sat Apr 01 2023 buchan <buchan> 4.17.7-1.mga9
+ Revision: 1951169
- Update to 4.17.7 (mga#31735)

* Thu Mar 16 2023 daviddavid <daviddavid> 4.17.5-2.mga9
+ Revision: 1949337
- add samba-usershares package (mga#30984)
- create '/var/lib/samba/drivers' repertory
- create group 'printadmin' in pre-common sub-pkg

* Sat Feb 04 2023 buchan <buchan> 4.17.5-1.mga9
+ Revision: 1938156
- Update to 4.17.5

* Mon Jan 09 2023 buchan <buchan> 4.17.4-1.mga9
+ Revision: 1931750
- Update to 4.17.4

* Sat Jan 07 2023 squidf <squidf> 4.17.3-2.mga9
+ Revision: 1931168
- Mass rebuild for icu 72.1

* Tue Nov 15 2022 buchan <buchan> 4.17.3-1.mga9
+ Revision: 1907687
- Update to 4.17.3

* Mon Oct 31 2022 buchan <buchan> 4.17.2-1.mga9
+ Revision: 1900621
- Upgrade to 4.17.2

* Wed Oct 26 2022 buchan <buchan> 4.16.6-1.mga9
+ Revision: 1899527
- Upgrade to 4.16.6 (mga#30843)

* Mon Sep 12 2022 buchan <buchan> 4.16.5-1.mga9
+ Revision: 1887439
- Upgrade to 4.16.5

* Sat Jul 30 2022 buchan <buchan> 4.16.4-1.mga9
+ Revision: 1873612
- Update to samba-4.16.4

* Sat Jun 18 2022 squidf <squidf> 4.16.2-3.mga9
+ Revision: 1864902
- rebuild for icu 71.1

* Sat Jun 18 2022 buchan <buchan> 4.16.2-2.mga9
+ Revision: 1864828
- Update to 4.16.2
+ wally <wally>
- remove old obsoletes and conflicts
- merge libheimntlm pkg into libsamba-dc pkg
- merge libkdc pkg into libsamba-dc pkg

* Sun May 08 2022 wally <wally> 4.16.1-2.mga9
+ Revision: 1856809
- move lib modules to main lib pkg (mga#30378)
- stop filtering private lib provides and requires

* Mon May 02 2022 buchan <buchan> 4.16.1-1.mga9
+ Revision: 1855537
- Update to 4.16.1
- Update to 4.16.0

* Tue Mar 15 2022 luigiwalser <luigiwalser> 4.15.6-1.mga9
+ Revision: 1793669
- 4.15.6

* Sat Feb 12 2022 tv <tv> 4.15.5-2.mga9
+ Revision: 1773451
- Rebuild for python-3.10

* Mon Jan 31 2022 luigiwalser <luigiwalser> 4.15.5-1.mga9
+ Revision: 1770731
- 4.15.5

* Fri Dec 10 2021 buchan <buchan> 4.15.3-1.mga9
+ Revision: 1761365
- Update to 4.15.3

* Wed Nov 10 2021 luigiwalser <luigiwalser> 4.15.2-1.mga9
+ Revision: 1755743
- 4.15.2

* Fri Nov 05 2021 luigiwalser <luigiwalser> 4.15.1-1.mga9
+ Revision: 1754028
- 4.15.1
+ buchan <buchan>
- Update to 4.15.0

* Thu Sep 02 2021 buchan <buchan> 4.14.7-1.mga9
+ Revision: 1744148
- Temporarly relax the ldb version check
- New version 4.14.7

* Wed Aug 04 2021 luigiwalser <luigiwalser> 4.14.4-4.mga9
+ Revision: 1739325
- rebuild for icu
+ neoclust <neoclust>
- New version 4.14.4

* Thu Apr 15 2021 tv <tv> 4.13.4-3.mga9
+ Revision: 1715830
- Rebuild for new liburing

* Tue Mar 16 2021 tmb <tmb> 4.13.4-2.mga9
+ Revision: 1703830
- rebuild for python 3.9

* Sun Feb 28 2021 buchan <buchan> 4.13.4-1.mga9
+ Revision: 1693566
- Update to 4.13.4

* Sat Jan 23 2021 luigiwalser <luigiwalser> 4.12.11-1.mga8
+ Revision: 1673024
- 4.12.11

* Wed Dec 02 2020 luigiwalser <luigiwalser> 4.12.10-3.mga8
+ Revision: 1651609
- rebuild for icu

* Fri Nov 27 2020 tv <tv> 4.12.10-2.mga8
+ Revision: 1649695
- BR: pkgconfig(libtirpc), rpcgen, rpcsvc-proto-devel

* Fri Nov 06 2020 luigiwalser <luigiwalser> 4.12.10-1.mga8
+ Revision: 1642989
- 4.12.10

* Wed Nov 04 2020 buchan <buchan> 4.12.9-1.mga8
+ Revision: 1642681
- Update to 4.12.9

* Wed Oct 14 2020 buchan <buchan> 4.12.8-1.mga8
+ Revision: 1635850
- Update to 4.12.8

* Mon Sep 28 2020 buchan <buchan> 4.12.7-1.mga8
+ Revision: 1630851
- Update to 4.12.7

* Fri Aug 14 2020 luigiwalser <luigiwalser> 4.12.6-1.mga8
+ Revision: 1614036
- 4.12.6

* Sun Jul 05 2020 buchan <buchan> 4.12.5-1.mga8
+ Revision: 1602412
- Update to 4.12.5

* Wed Jul 01 2020 wally <wally> 4.12.3-2.mga8
+ Revision: 1601064
- rebuild for icu 67.1

* Wed May 27 2020 luigiwalser <luigiwalser> 4.12.3-1.mga8
+ Revision: 1588102
- 4.12.3

* Wed Apr 29 2020 buchan <buchan> 4.12.2-1.mga8
+ Revision: 1573336
- Update to 4.12.2

* Sat Apr 18 2020 daviddavid <daviddavid> 4.12.1-2.mga8
+ Revision: 1569235
- liburing is not available on armv7hl

* Sat Apr 18 2020 buchan <buchan> 4.12.1-1.mga8
+ Revision: 1569009
- Update to 4.12.1

* Wed Apr 08 2020 luigiwalser <luigiwalser> 4.10.14-1.mga8
+ Revision: 1565499
- 4.10.14

* Wed Feb 19 2020 umeabot <umeabot> 4.10.12-3.mga8
+ Revision: 1543649
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 buchan <buchan> 4.10.12-2.mga8
+ Revision: 1482039
- Update to 4.10.12
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 4.10.11-2.mga8
+ Revision: 1476010
- rebuild for readline

* Sat Dec 14 2019 buchan <buchan> 4.10.11-1.mga8
+ Revision: 1467229
- Update to 4.10.11 mga#25644

* Thu Oct 03 2019 tv <tv> 4.10.8-7.mga8
+ Revision: 1449101
- remove bogus triggers (mga#25518)
+ daviddavid <daviddavid>
- use system python3-iso8601

* Mon Sep 16 2019 daviddavid <daviddavid> 4.10.8-6.mga8
+ Revision: 1442036
- fix one more file conflict with python3-talloc

* Sat Sep 14 2019 tv <tv> 4.10.8-5.mga8
+ Revision: 1440634
- fix file conflict with python3-talloc

* Thu Sep 12 2019 tv <tv> 4.10.8-4.mga8
+ Revision: 1439998
- bump release so that we're newer than the core/release's build
- adjust file list (why BS behaves differently than local iurt?)
- fix building with python-3.8
- drop python2 subpkg

* Tue Sep 10 2019 buchan <buchan> 4.10.8-3.mga8
+ Revision: 1439462
- Also forcefully remove the remaining alternatives file (mga#21164)

* Tue Sep 10 2019 buchan <buchan> 4.10.8-2.mga8
+ Revision: 1439385
- Install symlinks for CUPS smb backend via triggers (mga#21164)
- Also clean up old alternatives from samba 3.x

* Tue Sep 03 2019 buchan <buchan> 4.10.8-1.mga8
+ Revision: 1436819
- New version 4.10.8

* Sun Sep 01 2019 buchan <buchan> 4.10.7-1.mga8
+ Revision: 1436188
- Update to 4.10.7 and avoid stropts.h (dropped in glibc 2.30)
- Update to 4.10.6

* Tue Jul 02 2019 buchan <buchan> 4.10.5-1.mga8
+ Revision: 1417657
- Update to 4.10.5

* Thu May 23 2019 luigiwalser <luigiwalser> 4.10.4-1.mga7
+ Revision: 1398950
- 4.10.4

* Wed May 15 2019 luigiwalser <luigiwalser> 4.10.3-1.mga7
+ Revision: 1397844
- 4.10.3

* Fri Apr 12 2019 luigiwalser <luigiwalser> 4.10.2-1.mga7
+ Revision: 1389494
- 4.10.2

* Fri Apr 05 2019 luigiwalser <luigiwalser> 4.10.1-1.mga7
+ Revision: 1386205
- 4.10.1

* Wed Mar 20 2019 luigiwalser <luigiwalser> 4.10.0-1.mga7
+ Revision: 1379167
- 4.10.0

* Sat Mar 09 2019 luigiwalser <luigiwalser> 4.10.0-0.rc4.1.mga7
+ Revision: 1372998
- 4.10.0rc4

* Sat Feb 16 2019 wally <wally> 4.10.0-0.rc2.3.mga7
+ Revision: 1367553
- create lockdir /var/lib/samba/lock (mga#24365)

* Fri Feb 15 2019 wally <wally> 4.10.0-0.rc2.2.mga7
+ Revision: 1367175
- use /run instead of /var/run

* Thu Feb 14 2019 luigiwalser <luigiwalser> 4.10.0-0.rc2.1.mga7
+ Revision: 1366946
- 4.10.0rc2

* Tue Jan 22 2019 wally <wally> 4.10.0-0.rc1.4.mga7
+ Revision: 1359483
- split out libheimntlm-samba4 from samba-dc

* Tue Jan 22 2019 wally <wally> 4.10.0-0.rc1.3.mga7
+ Revision: 1359445
- move devel files to devel pkg

* Mon Jan 21 2019 luigiwalser <luigiwalser> 4.10.0-0.rc1.2.mga7
+ Revision: 1358914
- move lib files from python3-samba to lib and devel packages

* Sun Jan 20 2019 luigiwalser <luigiwalser> 4.10.0-0.rc1.1.mga7
+ Revision: 1358487
- move ldb files to correct package (dc)
- 4.10.0rc1
- remove workarounds for python3 support as it is the default now
- rebuild for ldb

* Thu Jan 10 2019 daviddavid <daviddavid> 4.9.4-2.mga7
+ Revision: 1354110
- rebuild for new Python 3.7

* Thu Dec 20 2018 kekepower <kekepower> 4.9.4-1.mga7
+ Revision: 1343489
- Update to version 4.9.4
+ tv <tv>
- do not limit to -j2

* Wed Nov 28 2018 tv <tv> 4.9.3-2.mga7
+ Revision: 1336449
- enable python3 support
- fix talloc filelist

* Tue Nov 27 2018 kekepower <kekepower> 4.9.3-1.mga7
+ Revision: 1336090
- Update to version 4.9.3
- Use pkgconfig() where possible
+ tv <tv>
- fix internal lbd filelist (obviously never tested before)
- fix versions of bundled ldb & tevent

* Sun Nov 18 2018 kekepower <kekepower> 4.9.2-1.mga7
+ Revision: 1331073
- Update to version 4.9.2

* Sat Nov 10 2018 bcornec <bcornec> 4.9.1-3.mga7
+ Revision: 1329252
- use option --systemd-install-services of configure to manage systemd unit files

* Tue Nov 06 2018 bcornec <bcornec> 4.9.1-2.mga7
+ Revision: 1328632
- Fix service file delivery issue mga#23796

* Sat Oct 27 2018 bcornec <bcornec> 4.9.1-1.mga7
+ Revision: 1326181
- update to upstream samba 4.9.1 with lots of build modifications

* Sun Sep 23 2018 umeabot <umeabot> 4.7.6-2.mga7
+ Revision: 1300921
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 buchan <buchan> 4.7.6-1.mga7
+ Revision: 1215544
- New version 4.7.6

* Wed Jan 03 2018 wally <wally> 4.7.3-1.mga7
+ Revision: 1189960
- rebuild for new readline
+ zezinho <zezinho>
- new version security fix
+ neoclust <neoclust>
- New version 4.7.2

* Thu Sep 21 2017 luigiwalser <luigiwalser> 4.6.8-1.mga7
+ Revision: 1156521
- 4.6.8

* Thu Aug 10 2017 neoclust <neoclust> 4.6.7-1.mga7
+ Revision: 1139505
- New version 4.6.7 ( Fixes CVE-2017-11103 (mga#21482)

* Thu Jun 08 2017 luigiwalser <luigiwalser> 4.6.5-1.mga6
+ Revision: 1107268
- 4.6.5

* Thu May 25 2017 neoclust <neoclust> 4.6.4-1.mga6
+ Revision: 1104505
- New version 4.6.4

* Wed May 24 2017 luigiwalser <luigiwalser> 4.5.10-1.mga6
+ Revision: 1104363
- 4.5.10 (fixes CVE-2017-7494)

* Tue May 23 2017 luigiwalser <luigiwalser> 4.5.9-1.mga6
+ Revision: 1104140
- 4.5.9

* Fri Mar 31 2017 luigiwalser <luigiwalser> 4.5.8-1.mga6
+ Revision: 1095490
- 4.5.8

* Thu Mar 23 2017 luigiwalser <luigiwalser> 4.5.7-1.mga6
+ Revision: 1094590
- 4.5.7 (fixes CVE-2017-2619)
- fix permissions of spool directory (mga#20513)

* Tue Mar 14 2017 luigiwalser <luigiwalser> 4.5.6-1.mga6
+ Revision: 1092515
- 4.5.6

* Sun Mar 12 2017 wally <wally> 4.5.5-2.mga6
+ Revision: 1092137
- add obsoletes to fix update from mga5 (mga#20456)

* Tue Jan 31 2017 luigiwalser <luigiwalser> 4.5.5-1.mga6
+ Revision: 1084350
- 4.5.5

* Wed Jan 18 2017 luigiwalser <luigiwalser> 4.5.4-1.mga6
+ Revision: 1082407
- 4.5.4

* Mon Dec 19 2016 luigiwalser <luigiwalser> 4.5.3-1.mga6
+ Revision: 1076134
- 4.5.3 (fixes CVE-2016-2123, CVE-2016-2125, and CVE-2016-2126)

* Thu Dec 08 2016 luigiwalser <luigiwalser> 4.5.2-1.mga6
+ Revision: 1073400
- 4.5.2

* Fri Oct 28 2016 luigiwalser <luigiwalser> 4.5.1-1.mga6
+ Revision: 1063848
- 4.5.1
- remove upstream patches

* Sun Oct 16 2016 tv <tv> 4.5.0-3.mga6
+ Revision: 1061146
- kill commented out scriptlets that end in another one (mga#12027)

* Sun Sep 25 2016 ghibo <ghibo> 4.5.0-2.mga6
+ Revision: 1056056
- added upstream patch for MGA#19356/SMB#12283 (TODO: upgrade to 4.5.1 or 4.4.6 when they will be out).

* Wed Sep 21 2016 neoclust <neoclust> 4.5.0-1.mga6
+ Revision: 1054882
- New version 4.5.0
+ ghibo <ghibo>
- fix files list for 4.5.0

* Wed Sep 14 2016 luigiwalser <luigiwalser> 4.4.5-2.mga6
+ Revision: 1052907
- rebuild for updated supporting libraries (mga#19356)

* Thu Jul 07 2016 luigiwalser <luigiwalser> 4.4.5-1.mga6
+ Revision: 1039423
- 4.4.5 (fixes CVE-2016-2119)

* Wed Jun 08 2016 tmb <tmb> 4.4.4-2.mga6
+ Revision: 1020930
- move libpac-samba4.so to lib(64)samba-dc0 to avoid pulling in samba-dc on default install

* Tue Jun 07 2016 tmb <tmb> 4.4.4-1.mga6
+ Revision: 1020651
- adjust BR for new systemd
+ luigiwalser <luigiwalser>
- 4.4.4

* Sun May 15 2016 neoclust <neoclust> 4.4.3-1.mga6
+ Revision: 1015642
- Remove unexisting waf argument
- New version 4.4.3

* Mon May 02 2016 luigiwalser <luigiwalser> 4.3.9-1.mga6
+ Revision: 1008678
- 4.3.9

* Tue Apr 12 2016 luigiwalser <luigiwalser> 4.3.8-1.mga6
+ Revision: 1000891
- 4.3.8

* Wed Mar 09 2016 neoclust <neoclust> 4.3.6-2.mga6
+ Revision: 988437
- Fix requires on update-alternatives

* Tue Mar 08 2016 luigiwalser <luigiwalser> 4.3.6-1.mga6
+ Revision: 987343
- 4.3.6
- create wbpriv group for winbind subpackage

* Wed Feb 24 2016 luigiwalser <luigiwalser> 4.3.5-2.mga6
+ Revision: 977728
- add krb5-printing subpackage from fedora to fix files list
- 4.3.5

* Fri Feb 12 2016 umeabot <umeabot> 4.3.4-4.mga6
+ Revision: 958837
- Mageia 6 Mass Rebuild

* Sun Jan 31 2016 wally <wally> 4.3.4-3.mga6
+ Revision: 929307
- split out Samba4 KDC lib from samba-dc to avoid pulling of whole samba stack

* Sat Jan 30 2016 dlucio <dlucio> 4.3.4-2.mga6
+ Revision: 929234
- net (from samba-common) needs lib*samba-dc0

* Tue Jan 12 2016 luigiwalser <luigiwalser> 4.3.4-1.mga6
+ Revision: 922285
- 4.3.4
- remove upstream patch

* Tue Jan 12 2016 tv <tv> 4.3.3-2.mga6
+ Revision: 922267
- rebuild for new gnutls

* Sun Dec 27 2015 neoclust <neoclust> 4.3.3-1.mga6
+ Revision: 915739
- New version 4.3.3

* Fri Oct 16 2015 blino <blino> 4.3.0-4.mga6
+ Revision: 891981
- update minimal lib versions

* Fri Sep 25 2015 sander85 <sander85> 4.3.0-3.mga6
+ Revision: 883638
- Rebuild for ldb 1.1.21

* Thu Sep 24 2015 neoclust <neoclust> 4.3.0-2.mga6
+ Revision: 883085
- Fix perms on files

* Thu Sep 24 2015 neoclust <neoclust> 4.3.0-1.mga6
+ Revision: 882937
- New version 4.3.0

* Fri Aug 21 2015 tmb <tmb> 4.2.3-1.mga6
+ Revision: 867694
- rebuild for new gcc
+ wally <wally>
- fix ctdb-test requires

* Mon Jul 20 2015 wally <wally> 4.2.3-0.4.mga6
+ Revision: 855768
- fix python pkg name in requires
- fix ctdb requires
- add more general provides to devel pkgs

* Mon Jul 20 2015 wally <wally> 4.2.3-0.3.mga6
+ Revision: 855719
- move samba user handling back to server pkg

* Sun Jul 19 2015 wally <wally> 4.2.3-0.2.mga6
+ Revision: 855529
- add missing default smb.conf
- move samba service file to samba-dc
- add missing service files for nmb, smb and winbind
- handle samba user creation in samba-common

* Sun Jul 19 2015 wally <wally> 4.2.3-0.1.mga6
+ Revision: 855521
- new version 4.2.3
- sync spec/patches with Fedora
- use upstream tmpfiles.conf
- ctdb comes now from samba sources

* Sun Jul 19 2015 wally <wally> 4.1.17-15.mga6
+ Revision: 855226
- try to build with configure2_5x macro

* Thu Jul 16 2015 wally <wally> 4.1.17-14.mga6
+ Revision: 854680
- fix typo in requires exceptions
- obsolete old samba-server pkg
- fix test pkg requires

* Thu Jul 16 2015 wally <wally> 4.1.17-13.mga6
+ Revision: 854666
- restore libsmbclient provides to satisfy at least gnome-vfs2 needs
- add more requires exceptions

* Thu Jul 16 2015 wally <wally> 4.1.17-12.mga6
+ Revision: 854655
- obsolete more pkgs from samba4 .src.rpm
- move main lib obsoletes to correct lib

* Thu Jul 16 2015 wally <wally> 4.1.17-11.mga6
+ Revision: 854646
- obsolete lib from samba4 .src.rpm

* Thu Jul 16 2015 neoclust <neoclust> 4.1.17-10.mga6
+ Revision: 854576
- Add obsoletes

* Thu Jul 16 2015 wally <wally> 4.1.17-9.mga6
+ Revision: 854571
- fix temporary devel() requires excludes

* Thu Jul 16 2015 wally <wally> 4.1.17-8.mga6
+ Revision: 854548
- fix requires/provides generation

* Thu Jul 16 2015 neoclust <neoclust> 4.1.17-7.mga6
+ Revision: 854536
- Add missing provides

* Wed Jul 15 2015 neoclust <neoclust> 4.1.17-6.mga6
+ Revision: 854388
- Upgrade to samba 4 by default

* Tue Jul 07 2015 remmy <remmy> 3.6.25-2.mga6
+ Revision: 852307
- Provide missing .so files which resulted in dangling symlinks (mga#4336)

* Mon Feb 23 2015 luigiwalser <luigiwalser> 3.6.25-1.mga5
+ Revision: 816758
- 3.6.25 (fixes CVE-2015-0240)

* Thu Oct 23 2014 luigiwalser <luigiwalser> 3.6.24-9.mga5
+ Revision: 792733
- samba-client req(post) update-alternatives to maybe fix mga#14348

* Wed Oct 15 2014 umeabot <umeabot> 3.6.24-8.mga5
+ Revision: 740842
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tmb <tmb> 3.6.24-7.mga5
+ Revision: 733912
- fix provides
- add virtual smb-client provides for drakxtools-backend

* Sun Sep 28 2014 tmb <tmb> 3.6.24-5.mga5
+ Revision: 731474
- rebuild for wrongly obsoleted packages

* Tue Sep 16 2014 umeabot <umeabot> 3.6.24-4.mga5
+ Revision: 689024
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Aug 21 2014 luigiwalser <luigiwalser> 3.6.24-3.mga5
+ Revision: 666219
- use Settings XDG category for SWAT desktop menu entry file

* Mon Jun 23 2014 luigiwalser <luigiwalser> 3.6.24-2.mga5
+ Revision: 638910
- add patch from debian to fix CVE-2014-0178

* Mon Jun 23 2014 luigiwalser <luigiwalser> 3.6.24-1.mga5
+ Revision: 638866
- 3.6.24 (fixes CVE-2014-0244 and CVE-2014-3493)

* Wed Mar 12 2014 luigiwalser <luigiwalser> 3.6.23-1.mga5
+ Revision: 602604
- add patch to fix build with current readline
- 3.6.23 (fixes CVE-2013-4496)

* Tue Dec 10 2013 luigiwalser <luigiwalser> 3.6.22-1.mga4
+ Revision: 556086
- 3.6.22

* Tue Dec 10 2013 luigiwalser <luigiwalser> 3.6.21-3.mga4
+ Revision: 556077
- replace CVE-2012-6150 patch with upstream one that also fixes CVE-2013-4408

* Wed Dec 04 2013 luigiwalser <luigiwalser> 3.6.21-2.mga4
+ Revision: 555134
- add upstream patch to fix CVE-2012-6150

* Tue Dec 03 2013 luigiwalser <luigiwalser> 3.6.21-1.mga4
+ Revision: 554766
- 3.6.21

* Wed Nov 13 2013 luigiwalser <luigiwalser> 3.6.20-1.mga4
+ Revision: 550983
- 3.6.20

* Mon Oct 21 2013 umeabot <umeabot> 3.6.19-2.mga4
+ Revision: 537191
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 luigiwalser <luigiwalser> 3.6.19-1.mga4
+ Revision: 486488
- 3.6.19

* Thu Aug 15 2013 luigiwalser <luigiwalser> 3.6.18-1.mga4
+ Revision: 466651
- 3.6.18

* Mon Aug 05 2013 oden <oden> 3.6.17-1.mga4
+ Revision: 463944
- 3.6.17 (fixes CVE-2013-4124)

* Thu Jun 20 2013 luigiwalser <luigiwalser> 3.6.16-1.mga4
+ Revision: 445277
- 3.6.16
- BR tevent-devel

* Thu May 09 2013 luigiwalser <luigiwalser> 3.6.15-1.mga3
+ Revision: 412773
- 3.6.15

* Tue Apr 30 2013 luigiwalser <luigiwalser> 3.6.14-1.mga3
+ Revision: 411608
- 3.6.14

* Wed Apr 03 2013 luigiwalser <luigiwalser> 3.6.13-1.mga3
+ Revision: 407559
- 3.6.13

* Sun Mar 24 2013 colin <colin> 3.6.12-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Wed Jan 30 2013 luigiwalser <luigiwalser> 3.6.12-1.mga3
+ Revision: 393581
- 3.6.12

* Wed Jan 23 2013 fwang <fwang> 3.6.10-4.mga3
+ Revision: 391526
- update rpm group

* Sun Jan 20 2013 colin <colin> 3.6.10-3.mga3
+ Revision: 390023
- Add tmpfiles for runtime dir creation
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 3.6.10-1.mga3
+ Revision: 334795
- 3.6.10

* Wed Sep 19 2012 fwang <fwang> 3.6.8-1.mga3
+ Revision: 296015
- new version 3.6.8

* Fri Aug 17 2012 buchan <buchan> 3.6.7-1.mga3
+ Revision: 281805
- New version 3.6.7

* Sat Jun 30 2012 colin <colin> 3.6.6-3.mga3
+ Revision: 265421
- Rebuild for new Kerberos

* Tue Jun 26 2012 fwang <fwang> 3.6.6-2.mga3
+ Revision: 263984
- add conflicts to ease upgrade
- fix conflicts
- should use configure2_5x

* Tue Jun 26 2012 fwang <fwang> 3.6.6-1.mga3
+ Revision: 263801
- new verison 3.6.6

* Sun May 06 2012 luigiwalser <luigiwalser> 3.6.5-2.mga2
+ Revision: 234797
- libwbcilent-devel should require libwbclient

* Tue May 01 2012 buchan <buchan> 3.6.5-1.mga2
+ Revision: 234453
- Switch from samba-vscan to samba-virusfilter, and enable building it by default
- New version 3.6.5

* Tue Apr 10 2012 pterjan <pterjan> 3.6.4-1.mga2
+ Revision: 230141
- Update to 3.6.4 (Security release for CVE-2012-1182)
+ buchan <buchan>
- New version 3.6.3

* Fri Jan 13 2012 buchan <buchan> 3.6.1-1.mga2
+ Revision: 195676
- New version 3.6.1
- Drop mount-cifs subpackage
- Force versioned dependency on libwbclient in server
- BR newer ctdb-devel
- macro-ise signature checking

* Tue Dec 20 2011 buchan <buchan> 3.5.12-1.mga2
+ Revision: 184853
- 3.5.12
- Fix dangling symlinks to tools we no longer ship
+ fwang <fwang>
- fix initscript
- new version 3.5.11
- new version 3.5.10

* Fri May 13 2011 buchan <buchan> 3.5.8-1.mga1
+ Revision: 97979
- Explicitly request external tdb and talloc
- Try and fix netapi example linking
- Enable dns updates
- Remove some old patches
- Fix CFLAGS manipulation

* Thu May 05 2011 saispo <saispo> 3.5.5-3.mga1
+ Revision: 95047
- Bump release
- Fix typo in patch34
- Fix bug #1152 and CVE-2011-0719

* Mon Apr 18 2011 dams <dams> 3.5.5-2.mga1
+ Revision: 87809
- clean smb.conf (from MDVGROUP to MGAGROUP
- clean smb.conf (from MDVGROUP to MGAGROUP
+ rtp <rtp>
- Add missing library when linking against libnetapi in examples

* Thu Jan 13 2011 dmorgan <dmorgan> 3.5.5-1.mga1
+ Revision: 9014
- fix file ext
- Fix rm files
- More file lisdt fixing
- Fix file list
- Fix file list and remove mdk occurencies
- Disable mgaver, need to be fixed
- Do not use real_version for now, does not work on the BS
- Add back missing macro
- More mandriva/Mandrake clean
- Remove mandriva macros
+ kharec <kharec>
- imported package samba


* Wed Sep 15 2010 Buchan Milne <bgmilne@mandriva.org> 3.5.5-1mdv2011.0
+ Revision: 578669
- update to new version 3.5.5

* Thu Sep 02 2010 Thierry Vignaud <tv@mandriva.org> 3.5.4-2mdv2011.0
+ Revision: 575203
- let the doc subpackage be noarch

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 3.5.4-1mdv2011.0
+ Revision: 563896
- new version 3.5.4

* Tue Jun 08 2010 Buchan Milne <bgmilne@mandriva.org> 3.5.3-3mdv2010.1
+ Revision: 547249
- Add group to domainjoin-gui package
- Correct license tag
- Commit missing patch that tries to fix 'not a string literal' in netdomjoin-gui
- Cleaner fix for NULL pname in setup_logging (mdv#59677) (samba#7499)
- Enable domain join gui
- Prevent segfault due to previous patch if setup_logging is called with NULL pname

  + Thomas Backlund <tmb@mandriva.org>
    - fix typo

  + Luca Berra <bluca@mandriva.org>
    - fix nss_wins overwriting daemon syslog ident (#59677)

* Thu Jun 03 2010 Frederic Crozat <fcrozat@mandriva.com> 3.5.3-2mdv2010.1
+ Revision: 547046
+ rebuild (emptylog)

* Tue Jun 01 2010 Buchan Milne <bgmilne@mandriva.org> 3.5.3-1mdv2010.1
+ Revision: 546828
- New release 3.5.3
- Should fix Mdv bug #58877, Mdv bug #59265 and possibly others related to
  accessing files via libsmbclient (smb:// in Dolphin, Nautilus etc.)

* Thu Apr 08 2010 Buchan Milne <bgmilne@mandriva.org> 3.5.2-1mdv2010.1
+ Revision: 533210
- update to new version 3.5.2

* Thu Apr 08 2010 Buchan Milne <bgmilne@mandriva.org> 3.5.1-1mdv2010.1
+ Revision: 533162
- Try alternate method for removing --no-undefined from plugin flags, and show
 plugin flags along with other flags
- Require newer ctdb
- New version 3.5.1
- Drop patch 29 (upstreamed), and disable undefined as upstream now sets -z defs
  by default - not doing this results in undefined symbols in plugins
- Other minor changes (files,excludes)
- Notable upstream change: mount.cifs no longer allows undefined non-root mounts

* Tue Mar 09 2010 Buchan Milne <bgmilne@mandriva.org> 3.4.7-1mdv2010.1
+ Revision: 517012
- update to new version 3.4.7
- update to new version 3.4.6

* Thu Feb 25 2010 Zombie Ryushu <ryushu@mandriva.org> 3.4.6-1mdv2010.1
+ Revision: 511083
- First Attempt at Samba 3.4.6
- First Attempt at Samba 3.4.6

  + Buchan Milne <bgmilne@mandriva.org>
    - Fix Buildrequires and add explicit options to configure

* Mon Jan 25 2010 Zombie Ryushu <ryushu@mandriva.org> 3.4.5-1mdv2010.1
+ Revision: 496286
- Attempt to update to 3.4.5 in cooker
- Attempt to update to 3.4.5 in cooker

* Fri Jan 08 2010 Buchan Milne <bgmilne@mandriva.org> 3.4.4-1mdv2010.1
+ Revision: 487529
- New version 3.4.4
- Update some items in the default smb.conf (bug #56894)

* Wed Dec 16 2009 Buchan Milne <bgmilne@mandriva.org> 3.4.3-2mdv2010.1
+ Revision: 479214
- Fix libsmbclient workgroup browsing (Mdv bug #56063)
- Fix build on 2009.0 and older (without samba4 providing ldb/tdb/talloc)

* Thu Oct 29 2009 Buchan Milne <bgmilne@mandriva.org> 3.4.3-1mdv2010.1
+ Revision: 460067
- New version 3.4.3
- Drop patches 24 and 26, applied upstream with bug 6791

* Thu Oct 01 2009 Oden Eriksson <oeriksson@mandriva.com> 3.4.2-1mdv2010.0
+ Revision: 452236
- 3.4.2

* Sun Sep 13 2009 Buchan Milne <bgmilne@mandriva.org> 3.4.1-1mdv2010.0
+ Revision: 438980
- New version 3.4.1
- Disable patches merged since 3.4.1
- New version 3.4.0
- Adjust paths which have changed in source tree since 3.3.x
- Move some swat translations to swat package (with conflicts)
- Add suggests on samba-doc to samba-swat

* Fri Aug 14 2009 Thomas Backlund <tmb@mandriva.org> 3.3.7-2mdv2010.0
+ Revision: 416267
- rebuild due to missing mount-cifs-3.3.7 on x86_64

* Wed Aug 12 2009 Buchan Milne <bgmilne@mandriva.org> 3.3.7-1mdv2010.0
+ Revision: 415582
- New version 3.3.7
- Change default server string, as some Windows versions dont like it to change
- Move smb.conf out of packaging patch so it is under direct version control

* Wed Jun 24 2009 Buchan Milne <bgmilne@mandriva.org> 3.3.6-1mdv2010.0
+ Revision: 388816
- update to new version 3.3.6

* Wed Jun 17 2009 Buchan Milne <bgmilne@mandriva.org> 3.3.5-1mdv2010.0
+ Revision: 386659
- New version 3.3.5

* Wed Jun 17 2009 Buchan Milne <bgmilne@mandriva.org> 3.3.4-1mdv2010.0
+ Revision: 386579
- update to new version 3.3.4

* Wed Jun 17 2009 Buchan Milne <bgmilne@mandriva.org> 3.3.3-1mdv2010.0
+ Revision: 386571
+ rebuild (emptylog)

* Thu Apr 16 2009 Buchan Milne <bgmilne@mandriva.org> 3.3.3-0mdv2009.1
+ Revision: 367753
- New version 3.3.3
- Buildrequire avahi-client-devel to enable (new) avahi support
- Fix winbind password expiry (Samba bug #6253), from Emmanuel Blindauer
- Enable ctdb support

* Sat Mar 28 2009 Anssi Hannula <anssi@mandriva.org> 3.3.2-3mdv2009.1
+ Revision: 361796
- fix linking order of rpcclient and libwbclient (fix-linking-order.patch,
  with the libwbclient case fixing undefined references in libwbclient.so)

* Fri Mar 27 2009 Buchan Milne <bgmilne@mandriva.org> 3.3.2-2mdv2009.1
+ Revision: 361668
- Build against system (samba4) libtalloc, libtdb, and dont ship talloc, tdb, ldb
 on 2009.1 or later

* Fri Mar 13 2009 Buchan Milne <bgmilne@mandriva.org> 3.3.2-1mdv2009.1
+ Revision: 354732
- New version 3.3.2
- Buildrequire libcap-devel, oplock buffering requires it on 3.2 and later

* Wed Feb 25 2009 Buchan Milne <bgmilne@mandriva.org> 3.3.1-3mdv2009.1
+ Revision: 344895
- Fix conflict between libsmbclient-devel and other devel packages

* Wed Feb 25 2009 Oden Eriksson <oeriksson@mandriva.com> 3.3.1-2mdv2009.1
+ Revision: 344715
- rebuilt against new readline

  + Buchan Milne <bgmilne@mandriva.org>
    - New version 3.3.1

* Thu Feb 19 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.8-3mdv2009.1
+ Revision: 343000
- add "BuildConflicts: libcap-devel" to prevent unknown future borkiness and fjukiness...

* Thu Feb 19 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.8-2mdv2009.1
+ Revision: 342815
- fix a silly typo
- fix deps because /usr/include/tdb.h was moved from
  libsmbclient0-devel to libtdb-devel.

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new release
    - rediff modules separation patch

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.7-2mdv2009.1
+ Revision: 337185
- keep bash completion in its own package

* Tue Jan 06 2009 Buchan Milne <bgmilne@mandriva.org> 3.2.7-1mdv2009.1
+ Revision: 325478
- update to new version 3.2.7

* Mon Jan 05 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.6-3mdv2009.1
+ Revision: 325110
- fix deps
- fix a file conflict

* Sun Jan 04 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.6-2mdv2009.1
+ Revision: 324355
- fix php-tdb build (P20 from debian)

* Sat Dec 13 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.6-1mdv2009.1
+ Revision: 313997
-New version 3.2.6

* Fri Nov 28 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.4-3mdv2009.1
+ Revision: 307414
- Security fix (CVE-2008-4314)
- Add patch fixing LDAP password modify exop (samba bug #5886)

* Thu Oct 30 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.4-2mdv2009.1
+ Revision: 298718
- Drop dangling mount.smb/mount.smbfs symlinks
- Make mount-cifs require new enough keyutils for krb5 support

* Thu Oct 16 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.4-1mdv2009.1
+ Revision: 294197
- New version 3.2.4

* Thu Oct 02 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.3-3mdv2009.0
+ Revision: 290748
- Include the rest of the MODULESDIR-related changes (fixes bug #43924)

* Sat Sep 13 2008 Colin Guthrie <cguthrie@mandriva.org> 3.2.3-2mdv2009.0
+ Revision: 284482
- Install pkgconfig .pc files for the various libraries

* Tue Sep 02 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.2-1mdv2009.0
+ Revision: 279222
- New version 3.2.3
- New version 3.2.2
- Use patch from git to fix separation of shared libraries and plugins
- Fix configure options, and avoid overriding variables at install time
- Ship cifs.upcall, and buildrequire keyutils on distributions with keyutils
- Fix linking order for cifs.upcall

* Thu Aug 07 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.1-1mdv2009.0
+ Revision: 265872
- New version 3.2.1
- Add verification of source signatures

* Mon Jul 28 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.0-1mdv2009.0
+ Revision: 251195
- New version 3.2.0
- Drop smbmount et al and related patches
- Add new library packages
- Conditionalise postgresql and mysql buildrequires
- Disable vscan support for now

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Buchan Milne <bgmilne@mandriva.org> 3.0.30-1mdv2009.0
+ Revision: 214823
- Remove recursive autoconf macros
  Drop some obsolete patches
- New version 3.0.30
  Drop upstreamed patches (CVE-2008-1105)
  Drop packaging of internal smbldap-tools (dropped upstream)

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

  + Oden Eriksson <oeriksson@mandriva.com>
    - P22: security fix for CVE-2008-1105

* Sun Mar 23 2008 Emmanuel Andry <eandry@mandriva.org> 3.0.28a-2mdv2008.1
+ Revision: 189635
- Fix static-devel group
- protect major

* Tue Mar 11 2008 Buchan Milne <bgmilne@mandriva.org> 3.0.28a-1mdv2008.1
+ Revision: 186720
- New version 3.0.28a

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized

* Sun Jan 13 2008 Funda Wang <fwang@mandriva.org> 3.0.28-4mdv2008.1
+ Revision: 150850
- rebuild against latest gnutls

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Buchan Milne <bgmilne@mandriva.org> 3.0.28-3mdv2008.1
+ Revision: 136361
- Rebuild for new openldap (2.4) with new soname

* Fri Dec 21 2007 Thierry Vignaud <tv@mandriva.org> 3.0.28-2mdv2008.1
+ Revision: 136255
- rebuild with latest ldap
- kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Buchan Milne <bgmilne@mandriva.org> 3.0.28-1mdv2008.1
+ Revision: 117061
- New version 3.0.28

* Wed Nov 21 2007 Buchan Milne <bgmilne@mandriva.org> 3.0.27a-1mdv2008.1
+ Revision: 110969
- New version 3.0.27a

* Sun Nov 18 2007 Funda Wang <fwang@mandriva.org> 3.0.27-1mdv2008.1
+ Revision: 109971
- New version 3.0.27

* Wed Oct 10 2007 Buchan Milne <bgmilne@mandriva.org> 3.0.26a-1mdv2008.1
+ Revision: 96878
- Update to 3.0.26a and samba-vscan 0.3.6c-beta5

  + Oden Eriksson <oeriksson@mandriva.com>
    - make mount.cifs umount.cifs build

  + Thierry Vignaud <tv@mandriva.org>
    - s/Mandrake/Mandriva/

* Wed Sep 12 2007 Buchan Milne <bgmilne@mandriva.org> 3.0.25b-4mdv2008.0
+ Revision: 84705
- Add patch for CVE-2007-4138

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character

* Mon Aug 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.25b-3mdv2008.0
+ Revision: 71811
- bash completion

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 3.0.25b-2mdv2008.0
+ Revision: 69948
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago
- fix man pages extension

* Mon Jul 02 2007 Andreas Hasenack <andreas@mandriva.com> 3.0.25b-1mdv2008.0
+ Revision: 47103
- updated to version 3.0.25b

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 3.0.25a-2mdv2008.0
+ Revision: 44948
- re-enable serverbuild, rebuild with new rpm-mandriva-setup (-fstack-protector)

* Thu May 31 2007 Buchan Milne <bgmilne@mandriva.org> 3.0.25a-1mdv2008.0
+ Revision: 33289
- Update default-quota-ignore-error patch

  + Andreas Hasenack <andreas@mandriva.com>
    - updated to version 3.0.25a
    - updated vscan to 0.3.6c-beta4 (this one builds with samba 3.0.25a)
    - dropped smbw patch, target is not available anymore


* Tue Mar 27 2007 Buchan Milne <bgmilne@mandriva.org> 3.0.24-2mdv2007.1
+ Revision: 148953
- Drop socket options (bug #28459)
- Unzip patches

* Mon Feb 05 2007 Buchan Milne <bgmilne@mandriva.org> 3.0.24-1mdv2007.1
+ Revision: 116478
- Better change to accomodate the build system
- Use a different method for telling users that options exist (to fix submit-ing)
- New version 3.0.24

* Wed Dec 06 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.23d-2mdv2007.1
+ Revision: 91717
- drop old quota patch that is no longer relevant

* Thu Nov 23 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.23d-1mdv2007.1
+ Revision: 86629
- New version 3.0.23d

* Tue Nov 14 2006 Andreas Hasenack <andreas@mandriva.com> 3.0.23b-7mdv2007.1
+ Revision: 84192
- don't overengineer
- gcc is not mandatory to do rpm queries on a .src.rpm, which is what the
  buildsystem ends up doing, so we need to guard against that
- include pam_winbind.conf configuration file for pam_winbind
  in samba-winbind package
- rebuild with new ncurses (5.5-1.20051029.3mdv2007.0)

  + Buchan Milne <bgmilne@mandriva.org>
    - move pam_nologin to account, it does not work in auth
    - fix badly migrated pam file (#26122)

* Wed Sep 06 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.23b-6mdv2007.0
+ Revision: 60160
- buildrequire cups-comon until new cups-devel is available, to ensure we get
  cups-config (requiredd for cups support)

* Thu Aug 31 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.23b-5mdv2007.0
+ Revision: 58827
- Drop bad partial update-alternatives call in triggerpostun in mount-cifs on samba-client (should fix #24900)
  Revert change to versioning of this trigger, as the update to the alternatives
  works on upgrades without it
- bump release, as previous commit fixes #24864
- add line continuation in mount-cifs postinstall
- fix man page alternatives on upgrade too
- 2nd additional slave is for *u*mount
- (minor) again
- (minor) %%_extension has a .
- rebuild, among others to get samba to link to cups on x86_64
- add alternatives for mount.cifs man pages

* Mon Aug 14 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.23b-1mdv2007.0
+ Revision: 55828
- xdg menu, use www-browser on all desktops
- New version 3.0.23b
  Fix default and example passdb backend entries in smb.conf (#23919)
- Use pam 0.9x-compatible pam file on 2007.0 and later (#24201)
  Drop absolute paths from pam files
- Convert winbind.init to parallel/LSB format (#24226)
- Convert smb.init to parallel/LSB format (#24218)
- Move files from packaging patch to be sources
- Import samba

* Thu Jul 13 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.23-2mdv2007.0
- put back the libsmbclient symlink fix (bug  #23684)

* Wed Jul 12 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.23-1mdv2007.0
- New release 3.0.23
- dont set subrel by default, since mkrel is used on cooker
- dont hup smbd for CUPS, we use printcap cache time by default (#23149)
- drop pdb_xml too
- clean macro usage in changelog

* Thu Apr 06 2006 Till Kamppeter <till@mandriva.com> 3.0.22-2mdk
- Moved CUPS backend directory from /usr/lib64/cups/backend to
  /usr/lib/cups/backend on 64-bit systems.

* Thu Apr 06 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.22-1mdk
- New release 3.0.22

* Thu Mar 02 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.21c-2mdk
- fix fr translation for swat - bug #21387 (neoclust)

* Tue Feb 28 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.21c-1mdk
- New release 3.0.21c
- fix prereq issues
- fix alternative for smbtar man page

* Tue Jan 31 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.21b-1mdk
- New release 3.0.21b
- switch pgsql and mysql passdb backends to be optional (non-default)

* Tue Jan 03 2006 Buchan Milne <bgmilne@mandriva.org> 3.0.21a-1mdk
- New release 3.0.21a
- rpmbuildupdate-able

* Wed Dec 21 2005 Buchan Milne <bgmilne@mandriva.org> 3.0.21-1mdk
- 3.0.21

* Thu Nov 24 2005 Buchan Milne <bgmilne@mandriva.org> 3.0.20b-4mdk
- fix pdb_ldap segfault on x86_64
- update to patches for 3.0.20b
- latest quota fixes (thx maxxik)

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.20b-3mdk
- rebuilt against openssl-0.9.8a

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.20b-2mdk
- rebuilt against MySQL-5.0.15

* Sat Oct 15 2005 Buchan Milne <bgmilne@mandriva.org> 3.0.20b-1mdk
- New release 3.0.20b
- use smbldap config patch from smbldap-tools package

* Fri Oct 14 2005 Buchan Milne <bgmilne@mandriva.org> 3.0.20a-2mdk
- quota crash fix from samba bug 3070

* Wed Oct 05 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.20a-1mdk
- New release 3.0.20a
- drop upstream patches  (p15-p18)

* Tue Sep 13 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.20-3mdk
- more post-3.0.20 patches
- minor chnages to default smb.conf

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.20-2mdk
- update group enumeration patch, add winbind patch from 
  http://www.samba.org/samba/patches/

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.20-1mdk
- 3.0.20
- patch config files back into packaging dir for now
- alternativise client man pages
- add new docs, fix documentation paths
- add new idmap_ad plugin
- group enumeration patch from Jerry

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.14a-5mdk
- Rebuild for libldap2.3

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.14a-4mdk
- Rebuild for libkrb53-devel 1.4.1

* Wed Jun 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.14a-3mdk
- drop gcc4 patch (unnecessary,broken)

* Sat May 07 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.14a-2mdk
- added one gcc4 patch (debian)

* Fri Apr 22 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.14a-1mdk
- 3.0.14a
- drop patch12
- samba-vscan 0.3.6, including fixes and adding antivir
- update local definition of mkrel

* Thu Apr 21 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.13-3mdk
- rebuilt against new postgresql libs

* Tue Apr 05 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.13-2mdk
- add patch for winbind compatability with win2k3-sp1 (p12)

* Sat Apr 02 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.13-1mdk
- 3.0.13 (#14873)
- fix smbldap paths (#15138) and new entries (#15133)

* Wed Mar 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.11-4mdk
- fix upgrade por people who had 3.0.11-1mdk

* Wed Mar 02 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.11-3mdk
- also replace suffix variable in smbldap configurations
- only migrate smbldap config once
- some config tweaks (p11)
- fix example winbind smb.conf
- only link/remove our smbldap-tools

* Thu Feb 24 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.11-2mdk
- add idmap_rid (#13678)
- split mount.cifs as mount-cifs (as agreed with SUSE)
- split smbldap-tools off for 10.1 and older (don't ship files for 10.2 and 
  later), and provide script to migrate previous config upon installation 
  of -smbldap-tools subpackage
- drop the unnecessary cache file backup

* Thu Feb 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.11-1mdk
- 3.0.11
- new smbldap-tools (redo patch etc)
- drop editreg

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.10-3mdk
- rebuild for ldap2.2_7

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.10-2mdk
- rebuilt against MySQL-4.1.x system libs
- fix summary-ended-with-dot

* Tue Dec 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.10-1mdk
- 3.0.10
- use mkrel-based distro-specific release tag

* Tue Nov 30 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.9-4mdk
- fix --with test (and show it in --with options)
- let the build configuration depend on the buildhost name for i586

* Tue Nov 23 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.0.9-3mdk
- don't let build configuration depend on buildhostname

* Fri Nov 19 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.9-2mdk
- fix build when not system (tdbtool must be suffixed also), bug 12417

* Thu Nov 18 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.9-1mdk
- 3.0.9
- drop packaging patch (merged)

* Wed Nov 17 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.8-2mdk
- add a symlink for mount.cifs in /sbin, so mount -t cifs works

* Tue Nov 09 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.8-1mdk
- 3.0.8
- add tdbtool to common
- fix doc permissions (broken in tarball)

* Fri Nov 05 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.8-0.pre2.1mdk
- 3.0.8pre2

* Thu Oct 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.7-3mdk
- drop patch 23 to ldap schema (patch in 3.0.6 was to bring schema up-to-date
  with pre-3.0.7 cvs) (#11960)
- merge winbind init script fix into packaging patch
- Don't set printcap name in pdf printer share (#11861)
- allow official builds off-cluster (with _with_official macro defined)

* Wed Sep 15 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.7-2mdk
- fix typo in winbind init script that prevented stop
  (in 3.0.6 too, patch27)

* Tue Sep 14 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.0.7-1mdk
- 3.0.7 (drop patch10,21,22,24,25,26; rediff patch23)

* Fri Sep 10 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.6-5mdk
- patch for samba bug 1464
- make release-depenent release tag more like security updates tags
- sync smb.conf with drakwizard (which also fixes quoting of macros which
  can have spaces)
- add example admin share
- patches from Gerald Carter

* Wed Sep 01 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.6-4mdk
- Add Jerry's post-3.0.6 patches
- fix bug 11088

* Sat Aug 28 2004 Buchan Milne <bgmilne@linux-mandrake.com>3.0.6-3mdk
- patch from Urban Widmark via Robert Sim (anthill bug 1086) to be able
  to diable unix extensions in smbmount (and via 'unix extensions' in smb.conf)
- magic-devel only available on 9.2 and up
- allow building for stable release on the chroots on the cluster
- fix patch8
- fix build on older releases

* Sat Aug 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.6-2mdk
- 3.0.6
-drop P6 (merged), P7 (broken for now)
-keep libsmbclient where it belongs (on x86 for now)
-implement mandrake version-specific release number

* Fri Aug 13 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.5-2mdk
- 3.0.5
- fix pid file location (#10666)
- merge amd64 fixes (P7)
- make pdf printer work again, and other misc fixes to default config

* Mon Jun 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.5-0.pre1.3mdk
- fix rpm group in libsmbclient0-devel (Goetz Waschk)

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.5-0.pre1.2mdk
- fix deps

* Thu May 27 2004 Buchan Milne <bgmilne@linux-mandrake.com>3.0.5-0.pre1.1mdk
- fix building without scanners
- 3.0.5pre1 (and drop patch from CVS)

* Sat May 22 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.4-3mdk
- re-work scanner support

* Fri May 14 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.4-2mdk
- 3.0.4
- Patch for winbind (from samba bug 1315)

* Fri Apr 30 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.2a-4mdk
- Fix samba-vscan (0.3.5), add clamav and icap, and build scanners by default
- Fix default vscan-clamav config and add sample config for homes share
- Add pgsql passdb backend

